window.Gleam.initSearch([{"doc":"amber","title":"amber","content":"# Amber 🧡\n\n[![Package Version](https://img.shields.io/hexpm/v/amber)](https://hex.pm/packages/amber)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/amber/)\n\n✨🦕 [Deno](https://deno.com/) Bindings For [Gleam](https://gleam.run/) 🧡\n\n## Installation\n\n```sh\ngleam add amber\n```\n\nAmber only supports the JavaScript target using the Deno runtime.\n\nThe following configuration should be used in your `gleam.toml`.\n\n```toml\ntarget = &quot;javascript&quot;\n\n[javascript]\nruntime = &quot;deno&quot;\n```\n\n## Usage\n\n```gleam\nimport amber/deno\n\npub fn main() {\n  deno.write_text_file_sync(&quot;amber.txt&quot;, &quot;deno bindings for gleam&quot;, [])\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/amber&gt;.\n\n## Contributing\n\n### Prerequisites\n\n- [Deno](https://docs.deno.com/runtime/getting_started/installation/)\n- [Gleam](https://gleam.run/getting-started/installing/)\n- [Just](https://just.systems/man/en/prerequisites.html)\n- [Rebar3](https://rebar3.org/docs/getting-started/)\n- [Watchexec](https://github.com/watchexec/watchexec/tree/main?tab=readme-ov-file#install)\n\n_Tip_: You can install these tools using a version manager like\n[asdf](https://asdf-vm.com/guide/getting-started.html) or\n[mise](https://mise.jdx.dev/getting-started.html), which can read from\n`.tool-versions`.\n\n### Initial Setup\n\n```sh\njust\n```\n\n### Development\n\n```sh\njust watch build test\n```\n","url":"index.html"},{"doc":"amber/deno/build/arch","title":"Arch","content":"pub type Arch {\n  X8664\n  Aarch64\n}\n\nX8664\n\n\nAarch64\n\n\nSynonyms:\namber/deno/build/arch.Arch\namber/deno/build/arch Arch","url":"amber/deno/build/arch.html#Arch"},{"doc":"amber/deno/build/arch","title":"amber/deno/build/arch","content":"","url":"amber/deno/build/arch.html"},{"doc":"amber/deno/build/os","title":"Os","content":"pub type Os {\n  Darwin\n  Linux\n  Android\n  Windows\n  Freebsd\n  Netbsd\n  Aix\n  Solaris\n  Illumos\n}\n\nDarwin\n\n\nLinux\n\n\nAndroid\n\n\nWindows\n\n\nFreebsd\n\n\nNetbsd\n\n\nAix\n\n\nSolaris\n\n\nIllumos\n\n\nSynonyms:\namber/deno/build/os.Os\namber/deno/build/os Os","url":"amber/deno/build/os.html#Os"},{"doc":"amber/deno/build/os","title":"amber/deno/build/os","content":"","url":"amber/deno/build/os.html"},{"doc":"amber/deno/build","title":"Build","content":"pub type Build {\n  Build(\n    target: String,\n    arch: Arch,\n    os: Os,\n    vendor: String,\n    env: Option(String),\n  )\n}\n\nBuild(\n  target: String,\n  arch: Arch,\n  os: Os,\n  vendor: String,\n  env: Option(String),\n)\n\n\nSynonyms:\namber/deno/build.Build\namber/deno/build Build","url":"amber/deno/build.html#Build"},{"doc":"amber/deno/build","title":"amber/deno/build","content":"","url":"amber/deno/build.html"},{"doc":"amber/deno/dir_entry","title":"DirEntry","content":"pub type DirEntry {\n  DirEntry(\n    name: String,\n    is_file: Bool,\n    is_directory: Bool,\n    is_symlink: Bool,\n  )\n}\n Information about a directory entry returned from\n [`deno.read_dir_sync`](../deno.html#read_dir_sync).\n\nDirEntry(\n  name: String,\n  is_file: Bool,\n  is_directory: Bool,\n  is_symlink: Bool,\n)\n\nname\n&lt;p&gt;The file name of the entry. It is just the entity name and does not\ninclude the full path.&lt;/p&gt;\n\nis_file\n&lt;p&gt;True if this is info for a regular file. Mutually exclusive to\n&lt;code&gt;DirEntry.is_directory&lt;/code&gt; and &lt;code&gt;DirEntry.is_symlink&lt;/code&gt;.&lt;/p&gt;\n\nis_directory\n&lt;p&gt;True if this is info for a regular directory. Mutually exclusive to\n&lt;code&gt;DirEntry.is_file&lt;/code&gt; and &lt;code&gt;DirEntry.is_symlink&lt;/code&gt;.&lt;/p&gt;\n\nis_symlink\n&lt;p&gt;True if this is info for a symlink. Mutually exclusive to\n&lt;code&gt;DirEntry.is_file&lt;/code&gt; and &lt;code&gt;DirEntry.is_directory&lt;/code&gt;.&lt;/p&gt;\n\nSynonyms:\namber/deno/dir_entry.DirEntry\namber/deno/dir_entry DirEntry","url":"amber/deno/dir_entry.html#DirEntry"},{"doc":"amber/deno/dir_entry","title":"amber/deno/dir_entry","content":"","url":"amber/deno/dir_entry.html"},{"doc":"amber/deno/error","title":"Error","content":"pub type Error {\n  AddrInUse\n  AddrNotAvailable\n  AlreadyExists\n  BadResource\n  BrokenPipe\n  Busy\n  ConnectionAborted\n  ConnectionRefused\n  ConnectionReset\n  FilesystemLoop\n  Http\n  Interrupted\n  InvalidData\n  IsADirectory\n  NetworkUnreachable\n  NotADirectory\n  NotCapable\n  NotConnected\n  NotFound\n  NotSupported\n  PermissionDenied\n  TimedOut\n  UnexpectedEof\n  WouldBlock\n  WriteZero\n  Other(String)\n}\n\nAddrInUse\n Raised when attempting to open a server listener on an address and port\n that already has a listener.\n\n\nAddrNotAvailable\n Raised when the underlying operating system reports an EADDRNOTAVAIL\n error.\n\n\nAlreadyExists\n Raised when trying to create a resource, like a file, that already exists.\n\n\nBadResource\n The underlying IO resource is invalid or closed, and so the operation\n could not be performed.\n\n\nBrokenPipe\n Raised when trying to write to a resource and a broken pipe error occurs.\n This can happen when trying to write directly to stdout or stderr\n and the operating system is unable to pipe the output for a reason\n external to the Deno runtime.\n\n\nBusy\n Raised when the underlying IO resource is not available because it is\n being awaited on in another block of code.\n\n\nConnectionAborted\n Raised when the underlying operating system reports an ECONNABORTED\n error.\n\n\nConnectionRefused\n Raised when the underlying operating system reports that a connection to\n a resource is refused.\n\n\nConnectionReset\n Raised when the underlying operating system reports that a connection has\n been reset. With network servers, it can be a normal occurrence where a\n client will abort a connection instead of properly shutting it down.\n\n\nFilesystemLoop\n Raised when too many symbolic links were encountered when resolving the\n filename.\n\n\nHttp\n Raised in situations where when attempting to load a dynamic import,\n too many redirects were encountered.\n\n\nInterrupted\n Raised when the underlying operating system reports an EINTR error. In\n many cases, this underlying IO error will be handled internally within\n Deno, or result in an @{link BadResource} error instead.\n\n\nInvalidData\n Raised when an operation to returns data that is invalid for the\n operation being performed.\n\n\nIsADirectory\n Raised when trying to open, create or write to a directory.\n\n\nNetworkUnreachable\n Raised when performing a socket operation but the remote host is\n not reachable.\n\n\nNotADirectory\n Raised when trying to perform an operation on a path that is not a\n directory, when directory is required.\n\n\nNotCapable\n Raised when trying to perform an operation while the relevant Deno\n permission (like --allow-read) has not been granted.\n\n\nNotConnected\n Raised when the underlying operating system reports an ENOTCONN error.\n\n\nNotFound\n Raised when the underlying operating system indicates that the file\n was not found.\n\n\nNotSupported\n Raised when the underlying Deno API is asked to perform a function that\n is not currently supported.\n\n\nPermissionDenied\n Raised when the underlying operating system indicates the current user\n which the Deno process is running under does not have the appropriate\n permissions to a file or resource.\n\n\nTimedOut\n Raised when the underlying operating system reports that an I/O operation\n has timed out (ETIMEDOUT).\n\n\nUnexpectedEof\n Raised when attempting to read bytes from a resource, but the EOF was\n unexpectedly encountered.\n\n\nWouldBlock\n Raised when the underlying operating system would need to block to\n complete but an asynchronous (non-blocking) API is used.\n\n\nWriteZero\n Raised when expecting to write to a IO buffer resulted in zero bytes\n being written.\n\n\nOther(String)\n\n\nSynonyms:\namber/deno/error.Error\namber/deno/error Error","url":"amber/deno/error.html#Error"},{"doc":"amber/deno/error","title":"amber/deno/error","content":"","url":"amber/deno/error.html"},{"doc":"amber/web","title":"Date","content":"pub type Date\n\n\nSynonyms:\namber/web.Date\namber/web Date","url":"amber/web.html#Date"},{"doc":"amber/web","title":"alert","content":"pub fn alert(message: String) -&gt; Nil\n\nSynonyms:\namber/web.alert\namber/web alert","url":"amber/web.html#alert"},{"doc":"amber/web","title":"clear_interval","content":"pub fn clear_interval(id: Int) -&gt; Nil\n\nSynonyms:\namber/web.clear_interval\namber/web clear_interval","url":"amber/web.html#clear_interval"},{"doc":"amber/web","title":"clear_timeout","content":"pub fn clear_timeout(id: Int) -&gt; Nil\n Cancels a scheduled action initiated by `set_timeout`.\n\n ## Examples\n\n \n let id = web.set_timeout(500, fn() { io.println(&quot;hello&quot;) })\n // ...\n web.clear_timeout(id)\n \n\nSynonyms:\namber/web.clear_timeout\namber/web clear_timeout","url":"amber/web.html#clear_timeout"},{"doc":"amber/web","title":"close","content":"pub fn close() -&gt; Nil\n\nSynonyms:\namber/web.close\namber/web close","url":"amber/web.html#close"},{"doc":"amber/web","title":"confirm","content":"pub fn confirm(message: String) -&gt; Bool\n\nSynonyms:\namber/web.confirm\namber/web confirm","url":"amber/web.html#confirm"},{"doc":"amber/web","title":"prompt","content":"pub fn prompt(message: String, default: String) -&gt; Option(String)\n\nSynonyms:\namber/web.prompt\namber/web prompt","url":"amber/web.html#prompt"},{"doc":"amber/web","title":"queue_microtask","content":"pub fn queue_microtask(func: fn() -&gt; Nil) -&gt; Nil\n A microtask is a short function which is executed after the function or\n module which created it exits and only if the JavaScript execution stack is\n empty, but before returning control to the event loop being used to drive the\n script&#39;s execution environment. This event loop may be either the main event\n loop or the event loop driving a web worker.\n\n \n web.queue_microtask(fn() { io.println(&quot;This event loop stack is complete&quot;) })\n \n\nSynonyms:\namber/web.queue_microtask\namber/web queue_microtask","url":"amber/web.html#queue_microtask"},{"doc":"amber/web","title":"report_error","content":"pub fn report_error(error: a) -&gt; Nil\n\nSynonyms:\namber/web.report_error\namber/web report_error","url":"amber/web.html#report_error"},{"doc":"amber/web","title":"set_interval","content":"pub fn set_interval(delay: Int, callback: fn() -&gt; Nil) -&gt; Int\n\nSynonyms:\namber/web.set_interval\namber/web set_interval","url":"amber/web.html#set_interval"},{"doc":"amber/web","title":"set_timeout","content":"pub fn set_timeout(delay: Int, callback: fn() -&gt; Nil) -&gt; Int\n Sets a timer which executes a function once after the delay\n (in milliseconds) elapses. Returns an id which may be used to cancel the\n timeout.\n\n ## Examples\n\n \n web.set_timeout(500, fn() { io.println(&quot;hello&quot;) })\n \n\nSynonyms:\namber/web.set_timeout\namber/web set_timeout","url":"amber/web.html#set_timeout"},{"doc":"amber/web","title":"amber/web","content":"","url":"amber/web.html"},{"doc":"amber/deno/file_info","title":"FileInfo","content":"pub type FileInfo {\n  FileInfo(\n    is_file: Bool,\n    is_directory: Bool,\n    is_symlink: Bool,\n    size: Int,\n    mtime: Option(Date),\n    atime: Option(Date),\n    birthtime: Option(Date),\n    dev: Int,\n    ino: Option(Int),\n    mode: Option(Int),\n    nlink: Option(Int),\n    uid: Option(Int),\n    gid: Option(Int),\n    rdev: Option(Int),\n    blksize: Option(Int),\n    blocks: Option(Int),\n    is_block_device: Option(Bool),\n    is_char_device: Option(Bool),\n    is_fifo: Option(Bool),\n    is_socket: Option(Bool),\n  )\n}\n Provides information about a file and is returned by\n [`deno.stat_sync`](../deno.html#stat_sync) and\n [`deno.lstat_sync`](../deno.html#lstat_sync) or from calling\n [`stat_sync`](./fs_file.html#stat_sync) with a\n [`FsFile`](./fs_file.html#FsFile) instance.\n\nFileInfo(\n  is_file: Bool,\n  is_directory: Bool,\n  is_symlink: Bool,\n  size: Int,\n  mtime: Option(Date),\n  atime: Option(Date),\n  birthtime: Option(Date),\n  dev: Int,\n  ino: Option(Int),\n  mode: Option(Int),\n  nlink: Option(Int),\n  uid: Option(Int),\n  gid: Option(Int),\n  rdev: Option(Int),\n  blksize: Option(Int),\n  blocks: Option(Int),\n  is_block_device: Option(Bool),\n  is_char_device: Option(Bool),\n  is_fifo: Option(Bool),\n  is_socket: Option(Bool),\n)\n\nis_file\n&lt;p&gt;True if this is info for a regular file. Mutually exclusive to\n&lt;code&gt;FileInfo.is_directory&lt;/code&gt; and &lt;code&gt;FileInfo.is_symlink&lt;/code&gt;.&lt;/p&gt;\n\nis_directory\n&lt;p&gt;True if this is info for a regular directory. Mutually exclusive to\n&lt;code&gt;FileInfo.is_file&lt;/code&gt; and &lt;code&gt;FileInfo.is_symlink&lt;/code&gt;.&lt;/p&gt;\n\nis_symlink\n&lt;p&gt;True if this is info for a symlink. Mutually exclusive to\n&lt;code&gt;FileInfo.is_file&lt;/code&gt; and &lt;code&gt;FileInfo.is_directory&lt;/code&gt;.&lt;/p&gt;\n\nsize\n&lt;p&gt;The size of the file, in bytes.&lt;/p&gt;\n\nmtime\n&lt;p&gt;The last modification time of the file. This corresponds to the &lt;code&gt;mtime&lt;/code&gt;\nfield from &lt;code&gt;stat&lt;/code&gt; on Linux/Mac OS and &lt;code&gt;ftLastWriteTime&lt;/code&gt; on Windows. This\nmay not be available on all platforms.&lt;/p&gt;\n\natime\n&lt;p&gt;The last access time of the file. This corresponds to the &lt;code&gt;atime&lt;/code&gt;\nfield from &lt;code&gt;stat&lt;/code&gt; on Unix and &lt;code&gt;ftLastAccessTime&lt;/code&gt; on Windows. This may not\nbe available on all platforms.&lt;/p&gt;\n\nbirthtime\n&lt;p&gt;The creation time of the file. This corresponds to the &lt;code&gt;birthtime&lt;/code&gt;\nfield from &lt;code&gt;stat&lt;/code&gt; on Mac/BSD and &lt;code&gt;ftCreationTime&lt;/code&gt; on Windows. This may\nnot be available on all platforms.&lt;/p&gt;\n\ndev\n&lt;p&gt;ID of the device containing the file.&lt;/p&gt;\n\nino\n&lt;p&gt;Inode number.&lt;/p&gt;\n&lt;p&gt;&lt;em&gt;Linux/Mac OS only.&lt;/em&gt;&lt;/p&gt;\n\nmode\n&lt;p&gt;The underlying raw &lt;code&gt;st_mode&lt;/code&gt; bits that contain the standard Unix\npermissions for this file/directory.&lt;/p&gt;\n&lt;p&gt;&lt;em&gt;Linux/Mac OS only.&lt;/em&gt;&lt;/p&gt;\n\nnlink\n&lt;p&gt;Number of hard links pointing to this file.&lt;/p&gt;\n&lt;p&gt;&lt;em&gt;Linux/Mac OS only.&lt;/em&gt;&lt;/p&gt;\n\nuid\n&lt;p&gt;User ID of the owner of this file.&lt;/p&gt;\n&lt;p&gt;&lt;em&gt;Linux/Mac OS only.&lt;/em&gt;&lt;/p&gt;\n\ngid\n&lt;p&gt;Group ID of the owner of this file.&lt;/p&gt;\n&lt;p&gt;&lt;em&gt;Linux/Mac OS only.&lt;/em&gt;&lt;/p&gt;\n\nrdev\n&lt;p&gt;Device ID of this file.&lt;/p&gt;\n&lt;p&gt;&lt;em&gt;Linux/Mac OS only.&lt;/em&gt;&lt;/p&gt;\n\nblksize\n&lt;p&gt;Blocksize for filesystem I/O.&lt;/p&gt;\n&lt;p&gt;&lt;em&gt;Linux/Mac OS only.&lt;/em&gt;&lt;/p&gt;\n\nblocks\n&lt;p&gt;Number of blocks allocated to the file, in 512-byte units.&lt;/p&gt;\n&lt;p&gt;&lt;em&gt;Linux/Mac OS only.&lt;/em&gt;&lt;/p&gt;\n\nis_block_device\n&lt;p&gt;True if this is info for a block device.&lt;/p&gt;\n&lt;p&gt;&lt;em&gt;Linux/Mac OS only.&lt;/em&gt;&lt;/p&gt;\n\nis_char_device\n&lt;p&gt;True if this is info for a char device.&lt;/p&gt;\n&lt;p&gt;&lt;em&gt;Linux/Mac OS only.&lt;/em&gt;&lt;/p&gt;\n\nis_fifo\n&lt;p&gt;True if this is info for a fifo.&lt;/p&gt;\n&lt;p&gt;&lt;em&gt;Linux/Mac OS only.&lt;/em&gt;&lt;/p&gt;\n\nis_socket\n&lt;p&gt;True if this is info for a socket.&lt;/p&gt;\n&lt;p&gt;&lt;em&gt;Linux/Mac OS only.&lt;/em&gt;&lt;/p&gt;\n\nSynonyms:\namber/deno/file_info.FileInfo\namber/deno/file_info FileInfo","url":"amber/deno/file_info.html#FileInfo"},{"doc":"amber/deno/file_info","title":"amber/deno/file_info","content":"","url":"amber/deno/file_info.html"},{"doc":"amber/deno/bytes_read","title":"BytesRead","content":"pub type BytesRead {\n  Bytes(Int)\n  EOF\n}\n\nBytes(Int)\n\n\nEOF\n\n\nSynonyms:\namber/deno/bytes_read.BytesRead\namber/deno/bytes_read BytesRead","url":"amber/deno/bytes_read.html#BytesRead"},{"doc":"amber/deno/bytes_read","title":"amber/deno/bytes_read","content":"","url":"amber/deno/bytes_read.html"},{"doc":"amber/deno/seek_mode","title":"SeekMode","content":"pub type SeekMode {\n  Start\n  Current\n  End\n}\n\nStart\n\n\nCurrent\n\n\nEnd\n\n\nSynonyms:\namber/deno/seek_mode.SeekMode\namber/deno/seek_mode SeekMode","url":"amber/deno/seek_mode.html#SeekMode"},{"doc":"amber/deno/seek_mode","title":"amber/deno/seek_mode","content":"","url":"amber/deno/seek_mode.html"},{"doc":"amber/deno/set_raw","title":"SetRawOption","content":"pub type SetRawOption {\n  Cbreak(Bool)\n}\n\nCbreak(Bool)\n\n\nSynonyms:\namber/deno/set_raw.SetRawOption\namber/deno/set_raw SetRawOption","url":"amber/deno/set_raw.html#SetRawOption"},{"doc":"amber/deno/set_raw","title":"amber/deno/set_raw","content":"","url":"amber/deno/set_raw.html"},{"doc":"amber/web/iterator_result","title":"IteratorResult","content":"pub type IteratorResult(a, result) {\n  Yield(value: a)\n  Return(value: result)\n}\n\nYield(value: a)\n\n\nReturn(value: result)\n\n\nSynonyms:\namber/web/iterator_result.IteratorResult\namber/web/iterator_result IteratorResult","url":"amber/web/iterator_result.html#IteratorResult"},{"doc":"amber/web/iterator_result","title":"amber/web/iterator_result","content":"","url":"amber/web/iterator_result.html"},{"doc":"amber/web/promise_settled_result","title":"PromiseSettledResult","content":"pub type PromiseSettledResult(a) {\n  Fulfilled(value: a)\n  Rejected(reason: Dynamic)\n}\n\nFulfilled(value: a)\n\n\nRejected(reason: Dynamic)\n\n\nSynonyms:\namber/web/promise_settled_result.PromiseSettledResult\namber/web/promise_settled_result PromiseSettledResult","url":"amber/web/promise_settled_result.html#PromiseSettledResult"},{"doc":"amber/web/promise_settled_result","title":"amber/web/promise_settled_result","content":"","url":"amber/web/promise_settled_result.html"},{"doc":"amber/web/promise","title":"Promise","content":"pub type Promise(a)\n\n\nSynonyms:\namber/web/promise.Promise\namber/web/promise Promise","url":"amber/web/promise.html#Promise"},{"doc":"amber/web/promise","title":"PromiseWithResolvers","content":"pub type PromiseWithResolvers(a) {\n  PromiseWithResolvers(\n    promise: Promise(a),\n    resolve: fn(a) -&gt; Nil,\n    reject: fn(Dynamic) -&gt; Nil,\n  )\n}\n\nPromiseWithResolvers(\n  promise: Promise(a),\n  resolve: fn(a) -&gt; Nil,\n  reject: fn(Dynamic) -&gt; Nil,\n)\n\n\nSynonyms:\namber/web/promise.PromiseWithResolvers\namber/web/promise PromiseWithResolvers","url":"amber/web/promise.html#PromiseWithResolvers"},{"doc":"amber/web/promise","title":"all","content":"pub fn all(values: List(Promise(a))) -&gt; Promise(List(a))\n Creates a Promise that is resolved with a list of results when all of the\n provided Promises resolve, or rejected when any Promise is rejected.\n\nSynonyms:\namber/web/promise.all\namber/web/promise all","url":"amber/web/promise.html#all"},{"doc":"amber/web/promise","title":"all_settled","content":"pub fn all_settled(\n  values: List(Promise(a)),\n) -&gt; Promise(List(PromiseSettledResult(a)))\n Creates a Promise that is resolved with a list of `PromiseSettledResult`s\n when all of the provided Promises resolve or reject.\n\nSynonyms:\namber/web/promise.all_settled\namber/web/promise all_settled","url":"amber/web/promise.html#all_settled"},{"doc":"amber/web/promise","title":"any","content":"pub fn any(values: List(Promise(a))) -&gt; Promise(a)\n Returns a promise that is fulfilled by the first given promise to be\n fulfilled, or rejected with an AggregateError containing a list of\n rejection reasons if all of the given promises are rejected.\n\nSynonyms:\namber/web/promise.any\namber/web/promise any","url":"amber/web/promise.html#any"},{"doc":"amber/web/promise","title":"catch","content":"pub fn catch(\n  promise: Promise(a),\n  onrejected: fn(b) -&gt; Nil,\n) -&gt; Promise(a)\n Attaches a callback for the rejection of the Promise.\n\nSynonyms:\namber/web/promise.catch\namber/web/promise catch","url":"amber/web/promise.html#catch"},{"doc":"amber/web/promise","title":"finally","content":"pub fn finally(\n  promise: Promise(a),\n  onfinally: fn() -&gt; Nil,\n) -&gt; Promise(a)\n Attaches a callback that is invoked when the Promise is settled\n (fulfilled or rejected). The resolved value cannot be modified from the\n callback.\n\nSynonyms:\namber/web/promise.finally\namber/web/promise finally","url":"amber/web/promise.html#finally"},{"doc":"amber/web/promise","title":"from_option","content":"pub fn from_option(option: Option(a)) -&gt; Promise(a)\n\nSynonyms:\namber/web/promise.from_option\namber/web/promise from_option","url":"amber/web/promise.html#from_option"},{"doc":"amber/web/promise","title":"from_result","content":"pub fn from_result(result: Result(a, b)) -&gt; Promise(a)\n\nSynonyms:\namber/web/promise.from_result\namber/web/promise from_result","url":"amber/web/promise.html#from_result"},{"doc":"amber/web/promise","title":"new","content":"pub fn new(\n  executor: fn(fn(a) -&gt; Nil, fn(b) -&gt; Nil) -&gt; Nil,\n) -&gt; Promise(a)\n Creates a new Promise.\n The executor callback is passed two arguments: a resolve callback used to\n resolve the promise with a value, and a reject callback used to reject the\n promise with a provided reason or error.\n\nSynonyms:\namber/web/promise.new\namber/web/promise new","url":"amber/web/promise.html#new"},{"doc":"amber/web/promise","title":"race","content":"pub fn race(values: List(Promise(a))) -&gt; Promise(a)\n Creates a Promise that is resolved or rejected when any of the provided\n Promises are resolved or rejected.\n\nSynonyms:\namber/web/promise.race\namber/web/promise race","url":"amber/web/promise.html#race"},{"doc":"amber/web/promise","title":"reject","content":"pub fn reject(reason: a) -&gt; Promise(b)\n Creates a new rejected promise for the provided reason.\n\nSynonyms:\namber/web/promise.reject\namber/web/promise reject","url":"amber/web/promise.html#reject"},{"doc":"amber/web/promise","title":"resolve","content":"pub fn resolve(value: a) -&gt; Promise(a)\n Creates a new resolved promise for the provided value.\n\nSynonyms:\namber/web/promise.resolve\namber/web/promise resolve","url":"amber/web/promise.html#resolve"},{"doc":"amber/web/promise","title":"then","content":"pub fn then(\n  promise: Promise(a),\n  onfulfilled: fn(a) -&gt; b,\n) -&gt; Promise(b)\n Attaches a callback for the resolution of the Promise.\n\nSynonyms:\namber/web/promise.then\namber/web/promise then","url":"amber/web/promise.html#then"},{"doc":"amber/web/promise","title":"with_resolvers","content":"pub fn with_resolvers() -&gt; PromiseWithResolvers(a)\n Creates a new Promise and returns it in a `PromiseWithResolvers` record,\n along with its resolve and reject functions.\n\nSynonyms:\namber/web/promise.with_resolvers\namber/web/promise with_resolvers","url":"amber/web/promise.html#with_resolvers"},{"doc":"amber/web/promise","title":"amber/web/promise","content":"","url":"amber/web/promise.html"},{"doc":"amber/web/async_iterator","title":"AsyncIterator","content":"pub type AsyncIterator(a, return, next)\n\n\nSynonyms:\namber/web/async_iterator.AsyncIterator\namber/web/async_iterator AsyncIterator","url":"amber/web/async_iterator.html#AsyncIterator"},{"doc":"amber/web/async_iterator","title":"for_await","content":"pub fn for_await(\n  iterator: AsyncIterator(a, b, c),\n  fun: fn(a) -&gt; d,\n) -&gt; Promise(Nil)\n\nSynonyms:\namber/web/async_iterator.for_await\namber/web/async_iterator for_await","url":"amber/web/async_iterator.html#for_await"},{"doc":"amber/web/async_iterator","title":"new","content":"pub fn new(\n  next: fn(Option(a)) -&gt; Promise(IteratorResult(b, c)),\n) -&gt; AsyncIterator(b, c, a)\n\nSynonyms:\namber/web/async_iterator.new\namber/web/async_iterator new","url":"amber/web/async_iterator.html#new"},{"doc":"amber/web/async_iterator","title":"next","content":"pub fn next(\n  iterator: AsyncIterator(a, b, c),\n) -&gt; Promise(IteratorResult(a, b))\n\nSynonyms:\namber/web/async_iterator.next\namber/web/async_iterator next","url":"amber/web/async_iterator.html#next"},{"doc":"amber/web/async_iterator","title":"next_with","content":"pub fn next_with(\n  iterator: AsyncIterator(a, b, c),\n  value: c,\n) -&gt; Promise(IteratorResult(a, b))\n\nSynonyms:\namber/web/async_iterator.next_with\namber/web/async_iterator next_with","url":"amber/web/async_iterator.html#next_with"},{"doc":"amber/web/async_iterator","title":"return","content":"pub fn return(\n  iterator: AsyncIterator(a, b, c),\n) -&gt; Promise(IteratorResult(a, b))\n\nSynonyms:\namber/web/async_iterator.return\namber/web/async_iterator return","url":"amber/web/async_iterator.html#return"},{"doc":"amber/web/async_iterator","title":"return_with","content":"pub fn return_with(\n  iterator: AsyncIterator(a, b, c),\n  value: b,\n) -&gt; Promise(IteratorResult(a, b))\n\nSynonyms:\namber/web/async_iterator.return_with\namber/web/async_iterator return_with","url":"amber/web/async_iterator.html#return_with"},{"doc":"amber/web/async_iterator","title":"throw","content":"pub fn throw(\n  iterator: AsyncIterator(a, b, c),\n  e: d,\n) -&gt; Promise(IteratorResult(a, b))\n\nSynonyms:\namber/web/async_iterator.throw\namber/web/async_iterator throw","url":"amber/web/async_iterator.html#throw"},{"doc":"amber/web/async_iterator","title":"with_return","content":"pub fn with_return(\n  iterator: AsyncIterator(a, b, c),\n  return: fn(Option(b)) -&gt; Promise(IteratorResult(a, b)),\n) -&gt; AsyncIterator(a, b, c)\n\nSynonyms:\namber/web/async_iterator.with_return\namber/web/async_iterator with_return","url":"amber/web/async_iterator.html#with_return"},{"doc":"amber/web/async_iterator","title":"with_throw","content":"pub fn with_throw(\n  iterator: AsyncIterator(a, b, c),\n  throw: fn(d) -&gt; Promise(IteratorResult(a, b)),\n) -&gt; AsyncIterator(a, b, c)\n\nSynonyms:\namber/web/async_iterator.with_throw\namber/web/async_iterator with_throw","url":"amber/web/async_iterator.html#with_throw"},{"doc":"amber/web/async_iterator","title":"amber/web/async_iterator","content":"","url":"amber/web/async_iterator.html"},{"doc":"amber/web/array_buffer","title":"ArrayBuffer","content":"pub type ArrayBuffer\n Represents a raw buffer of binary data, which is used to store data for the\n different typed arrays. ArrayBuffers cannot be read from or written to\n directly, but can be passed to a typed array or DataView Object to interpret\n the raw buffer as needed.\n\n\nSynonyms:\namber/web/array_buffer.ArrayBuffer\namber/web/array_buffer ArrayBuffer","url":"amber/web/array_buffer.html#ArrayBuffer"},{"doc":"amber/web/array_buffer","title":"byte_length","content":"pub fn byte_length(array_buffer: ArrayBuffer) -&gt; Int\n The length of the ArrayBuffer (in bytes).\n\nSynonyms:\namber/web/array_buffer.byte_length\namber/web/array_buffer byte_length","url":"amber/web/array_buffer.html#byte_length"},{"doc":"amber/web/array_buffer","title":"new","content":"pub fn new(byte_length: Int) -&gt; ArrayBuffer\n\nSynonyms:\namber/web/array_buffer.new\namber/web/array_buffer new","url":"amber/web/array_buffer.html#new"},{"doc":"amber/web/array_buffer","title":"slice","content":"pub fn slice(\n  array_buffer: ArrayBuffer,\n  begin: Int,\n) -&gt; ArrayBuffer\n\nSynonyms:\namber/web/array_buffer.slice\namber/web/array_buffer slice","url":"amber/web/array_buffer.html#slice"},{"doc":"amber/web/array_buffer","title":"slice_with_end","content":"pub fn slice_with_end(\n  array_buffer: ArrayBuffer,\n  begin: Int,\n  end: Int,\n) -&gt; ArrayBuffer\n\nSynonyms:\namber/web/array_buffer.slice_with_end\namber/web/array_buffer slice_with_end","url":"amber/web/array_buffer.html#slice_with_end"},{"doc":"amber/web/array_buffer","title":"amber/web/array_buffer","content":"","url":"amber/web/array_buffer.html"},{"doc":"amber/web/array_buffer_view","title":"ArrayBufferView","content":"pub type ArrayBufferView {\n  ArrayBufferView(\n    buffer: ArrayBuffer,\n    byte_length: Int,\n    byte_offset: Int,\n  )\n}\n\nArrayBufferView(\n  buffer: ArrayBuffer,\n  byte_length: Int,\n  byte_offset: Int,\n)\n\n\nSynonyms:\namber/web/array_buffer_view.ArrayBufferView\namber/web/array_buffer_view ArrayBufferView","url":"amber/web/array_buffer_view.html#ArrayBufferView"},{"doc":"amber/web/array_buffer_view","title":"amber/web/array_buffer_view","content":"","url":"amber/web/array_buffer_view.html"},{"doc":"amber/web/readable_stream/byob_reader_read_option","title":"ByobReaderReadOption","content":"pub type ByobReaderReadOption {\n  Min(Int)\n}\n\nMin(Int)\n\n\nSynonyms:\namber/web/readable_stream/byob_reader_read_option.ByobReaderReadOption\namber/web/readable_stream/byob_reader_read_option ByobReaderReadOption","url":"amber/web/readable_stream/byob_reader_read_option.html#ByobReaderReadOption"},{"doc":"amber/web/readable_stream/byob_reader_read_option","title":"amber/web/readable_stream/byob_reader_read_option","content":"","url":"amber/web/readable_stream/byob_reader_read_option.html"},{"doc":"amber/web/readable_stream/read_result","title":"ReadResult","content":"pub type ReadResult(a) {\n  Value(a)\n  Done(Option(a))\n}\n\nValue(a)\n\n\nDone(Option(a))\n\n\nSynonyms:\namber/web/readable_stream/read_result.ReadResult\namber/web/readable_stream/read_result ReadResult","url":"amber/web/readable_stream/read_result.html#ReadResult"},{"doc":"amber/web/readable_stream/read_result","title":"amber/web/readable_stream/read_result","content":"","url":"amber/web/readable_stream/read_result.html"},{"doc":"amber/web/readable_stream/byob_reader","title":"ByobReader","content":"pub type ByobReader(a)\n\n\nSynonyms:\namber/web/readable_stream/byob_reader.ByobReader\namber/web/readable_stream/byob_reader ByobReader","url":"amber/web/readable_stream/byob_reader.html#ByobReader"},{"doc":"amber/web/readable_stream/byob_reader","title":"cancel","content":"pub fn cancel(reader: ByobReader(a), reason: b) -&gt; Promise(Nil)\n\nSynonyms:\namber/web/readable_stream/byob_reader.cancel\namber/web/readable_stream/byob_reader cancel","url":"amber/web/readable_stream/byob_reader.html#cancel"},{"doc":"amber/web/readable_stream/byob_reader","title":"closed","content":"pub fn closed(reader: ByobReader(a)) -&gt; Promise(Nil)\n\nSynonyms:\namber/web/readable_stream/byob_reader.closed\namber/web/readable_stream/byob_reader closed","url":"amber/web/readable_stream/byob_reader.html#closed"},{"doc":"amber/web/readable_stream/byob_reader","title":"read","content":"pub fn read(\n  reader: ByobReader(a),\n  view: ArrayBufferView,\n  options: List(ByobReaderReadOption),\n) -&gt; Promise(ReadResult(ArrayBufferView))\n\nSynonyms:\namber/web/readable_stream/byob_reader.read\namber/web/readable_stream/byob_reader read","url":"amber/web/readable_stream/byob_reader.html#read"},{"doc":"amber/web/readable_stream/byob_reader","title":"release_lock","content":"pub fn release_lock(reader: ByobReader(a)) -&gt; ByobReader(a)\n\nSynonyms:\namber/web/readable_stream/byob_reader.release_lock\namber/web/readable_stream/byob_reader release_lock","url":"amber/web/readable_stream/byob_reader.html#release_lock"},{"doc":"amber/web/readable_stream/byob_reader","title":"amber/web/readable_stream/byob_reader","content":"","url":"amber/web/readable_stream/byob_reader.html"},{"doc":"amber/web/readable_stream/reader","title":"Reader","content":"pub type Reader(a)\n\n\nSynonyms:\namber/web/readable_stream/reader.Reader\namber/web/readable_stream/reader Reader","url":"amber/web/readable_stream/reader.html#Reader"},{"doc":"amber/web/readable_stream/reader","title":"cancel","content":"pub fn cancel(reader: Reader(a), reason: b) -&gt; Promise(Nil)\n\nSynonyms:\namber/web/readable_stream/reader.cancel\namber/web/readable_stream/reader cancel","url":"amber/web/readable_stream/reader.html#cancel"},{"doc":"amber/web/readable_stream/reader","title":"closed","content":"pub fn closed(reader: Reader(a)) -&gt; Promise(Nil)\n\nSynonyms:\namber/web/readable_stream/reader.closed\namber/web/readable_stream/reader closed","url":"amber/web/readable_stream/reader.html#closed"},{"doc":"amber/web/readable_stream/reader","title":"read","content":"pub fn read(reader: Reader(a)) -&gt; Promise(ReadResult(a))\n\nSynonyms:\namber/web/readable_stream/reader.read\namber/web/readable_stream/reader read","url":"amber/web/readable_stream/reader.html#read"},{"doc":"amber/web/readable_stream/reader","title":"release_lock","content":"pub fn release_lock(reader: Reader(a)) -&gt; Reader(a)\n\nSynonyms:\namber/web/readable_stream/reader.release_lock\namber/web/readable_stream/reader release_lock","url":"amber/web/readable_stream/reader.html#release_lock"},{"doc":"amber/web/readable_stream/reader","title":"amber/web/readable_stream/reader","content":"","url":"amber/web/readable_stream/reader.html"},{"doc":"amber/web/abort_signal","title":"AbortSignal","content":"pub type AbortSignal\n\n\nSynonyms:\namber/web/abort_signal.AbortSignal\namber/web/abort_signal AbortSignal","url":"amber/web/abort_signal.html#AbortSignal"},{"doc":"amber/web/abort_signal","title":"abort","content":"pub fn abort(reason: a) -&gt; AbortSignal\n\nSynonyms:\namber/web/abort_signal.abort\namber/web/abort_signal abort","url":"amber/web/abort_signal.html#abort"},{"doc":"amber/web/abort_signal","title":"any","content":"pub fn any(signals: List(AbortSignal)) -&gt; AbortSignal\n\nSynonyms:\namber/web/abort_signal.any\namber/web/abort_signal any","url":"amber/web/abort_signal.html#any"},{"doc":"amber/web/abort_signal","title":"timeout","content":"pub fn timeout(milliseconds: Int) -&gt; AbortSignal\n\nSynonyms:\namber/web/abort_signal.timeout\namber/web/abort_signal timeout","url":"amber/web/abort_signal.html#timeout"},{"doc":"amber/web/abort_signal","title":"amber/web/abort_signal","content":"","url":"amber/web/abort_signal.html"},{"doc":"amber/web/readable_stream/stream_pipe_option","title":"StreamPipeOption","content":"pub type StreamPipeOption {\n  PreventAbort\n  PreventCancel\n  PreventClose\n  Signal(AbortSignal)\n}\n\nPreventAbort\n\n\nPreventCancel\n\n\nPreventClose\n\n\nSignal(AbortSignal)\n\n\nSynonyms:\namber/web/readable_stream/stream_pipe_option.StreamPipeOption\namber/web/readable_stream/stream_pipe_option StreamPipeOption","url":"amber/web/readable_stream/stream_pipe_option.html#StreamPipeOption"},{"doc":"amber/web/readable_stream/stream_pipe_option","title":"amber/web/readable_stream/stream_pipe_option","content":"","url":"amber/web/readable_stream/stream_pipe_option.html"},{"doc":"amber/web/writable_stream/writer","title":"Writer","content":"pub type Writer(a)\n\n\nSynonyms:\namber/web/writable_stream/writer.Writer\namber/web/writable_stream/writer Writer","url":"amber/web/writable_stream/writer.html#Writer"},{"doc":"amber/web/writable_stream/writer","title":"abort","content":"pub fn abort(writer: Writer(a), reason: b) -&gt; Promise(Nil)\n\nSynonyms:\namber/web/writable_stream/writer.abort\namber/web/writable_stream/writer abort","url":"amber/web/writable_stream/writer.html#abort"},{"doc":"amber/web/writable_stream/writer","title":"close","content":"pub fn close(writer: Writer(a)) -&gt; Promise(Nil)\n\nSynonyms:\namber/web/writable_stream/writer.close\namber/web/writable_stream/writer close","url":"amber/web/writable_stream/writer.html#close"},{"doc":"amber/web/writable_stream/writer","title":"closed","content":"pub fn closed(writer: Writer(a)) -&gt; Promise(Nil)\n\nSynonyms:\namber/web/writable_stream/writer.closed\namber/web/writable_stream/writer closed","url":"amber/web/writable_stream/writer.html#closed"},{"doc":"amber/web/writable_stream/writer","title":"desired_size","content":"pub fn desired_size(writer: Writer(a)) -&gt; Option(Int)\n\nSynonyms:\namber/web/writable_stream/writer.desired_size\namber/web/writable_stream/writer desired_size","url":"amber/web/writable_stream/writer.html#desired_size"},{"doc":"amber/web/writable_stream/writer","title":"ready","content":"pub fn ready(writer: Writer(a)) -&gt; Promise(Nil)\n\nSynonyms:\namber/web/writable_stream/writer.ready\namber/web/writable_stream/writer ready","url":"amber/web/writable_stream/writer.html#ready"},{"doc":"amber/web/writable_stream/writer","title":"release_lock","content":"pub fn release_lock(writer: Writer(a)) -&gt; Writer(a)\n\nSynonyms:\namber/web/writable_stream/writer.release_lock\namber/web/writable_stream/writer release_lock","url":"amber/web/writable_stream/writer.html#release_lock"},{"doc":"amber/web/writable_stream/writer","title":"write","content":"pub fn write(writer: Writer(a), chunk: a) -&gt; Promise(Nil)\n\nSynonyms:\namber/web/writable_stream/writer.write\namber/web/writable_stream/writer write","url":"amber/web/writable_stream/writer.html#write"},{"doc":"amber/web/writable_stream/writer","title":"amber/web/writable_stream/writer","content":"","url":"amber/web/writable_stream/writer.html"},{"doc":"amber/web/writable_stream","title":"WritableStream","content":"pub type WritableStream(a)\n\n\nSynonyms:\namber/web/writable_stream.WritableStream\namber/web/writable_stream WritableStream","url":"amber/web/writable_stream.html#WritableStream"},{"doc":"amber/web/writable_stream","title":"abort","content":"pub fn abort(\n  stream: WritableStream(a),\n  reason: b,\n) -&gt; Promise(Nil)\n\nSynonyms:\namber/web/writable_stream.abort\namber/web/writable_stream abort","url":"amber/web/writable_stream.html#abort"},{"doc":"amber/web/writable_stream","title":"close","content":"pub fn close(stream: WritableStream(a)) -&gt; Promise(Nil)\n\nSynonyms:\namber/web/writable_stream.close\namber/web/writable_stream close","url":"amber/web/writable_stream.html#close"},{"doc":"amber/web/writable_stream","title":"get_writer","content":"pub fn get_writer(stream: WritableStream(a)) -&gt; Writer(a)\n\nSynonyms:\namber/web/writable_stream.get_writer\namber/web/writable_stream get_writer","url":"amber/web/writable_stream.html#get_writer"},{"doc":"amber/web/writable_stream","title":"locked","content":"pub fn locked(stream: WritableStream(a)) -&gt; Bool\n\nSynonyms:\namber/web/writable_stream.locked\namber/web/writable_stream locked","url":"amber/web/writable_stream.html#locked"},{"doc":"amber/web/writable_stream","title":"amber/web/writable_stream","content":"","url":"amber/web/writable_stream.html"},{"doc":"amber/web/readable_stream","title":"ReadableStream","content":"pub type ReadableStream(a)\n\n\nSynonyms:\namber/web/readable_stream.ReadableStream\namber/web/readable_stream ReadableStream","url":"amber/web/readable_stream.html#ReadableStream"},{"doc":"amber/web/readable_stream","title":"async_iterator","content":"pub fn async_iterator(\n  stream: ReadableStream(a),\n) -&gt; AsyncIterator(a, Nil, Nil)\n\nSynonyms:\namber/web/readable_stream.async_iterator\namber/web/readable_stream async_iterator","url":"amber/web/readable_stream.html#async_iterator"},{"doc":"amber/web/readable_stream","title":"cancel","content":"pub fn cancel(\n  stream: ReadableStream(a),\n  reason: b,\n) -&gt; Promise(Nil)\n\nSynonyms:\namber/web/readable_stream.cancel\namber/web/readable_stream cancel","url":"amber/web/readable_stream.html#cancel"},{"doc":"amber/web/readable_stream","title":"get_byob_reader","content":"pub fn get_byob_reader(\n  stream: ReadableStream(a),\n) -&gt; ByobReader(a)\n\nSynonyms:\namber/web/readable_stream.get_byob_reader\namber/web/readable_stream get_byob_reader","url":"amber/web/readable_stream.html#get_byob_reader"},{"doc":"amber/web/readable_stream","title":"get_reader","content":"pub fn get_reader(stream: ReadableStream(a)) -&gt; Reader(a)\n\nSynonyms:\namber/web/readable_stream.get_reader\namber/web/readable_stream get_reader","url":"amber/web/readable_stream.html#get_reader"},{"doc":"amber/web/readable_stream","title":"locked","content":"pub fn locked(stream: ReadableStream(a)) -&gt; Bool\n\nSynonyms:\namber/web/readable_stream.locked\namber/web/readable_stream locked","url":"amber/web/readable_stream.html#locked"},{"doc":"amber/web/readable_stream","title":"pipe_through","content":"pub fn pipe_through(\n  stream: ReadableStream(a),\n  transform: #(ReadableStream(b), WritableStream(a)),\n  options: List(StreamPipeOption),\n) -&gt; ReadableStream(b)\n\nSynonyms:\namber/web/readable_stream.pipe_through\namber/web/readable_stream pipe_through","url":"amber/web/readable_stream.html#pipe_through"},{"doc":"amber/web/readable_stream","title":"pipe_to","content":"pub fn pipe_to(\n  stream: ReadableStream(a),\n  destination: WritableStream(a),\n  options: List(StreamPipeOption),\n) -&gt; Promise(Nil)\n\nSynonyms:\namber/web/readable_stream.pipe_to\namber/web/readable_stream pipe_to","url":"amber/web/readable_stream.html#pipe_to"},{"doc":"amber/web/readable_stream","title":"tee","content":"pub fn tee(\n  stream: ReadableStream(a),\n) -&gt; #(ReadableStream(a), ReadableStream(a))\n\nSynonyms:\namber/web/readable_stream.tee\namber/web/readable_stream tee","url":"amber/web/readable_stream.html#tee"},{"doc":"amber/web/readable_stream","title":"amber/web/readable_stream","content":"","url":"amber/web/readable_stream.html"},{"doc":"amber/web/uint8_array","title":"Uint8Array","content":"pub type Uint8Array\n A typed array of 8-bit unsigned integer values. The contents are initialized\n to 0. If the requested number of bytes could not be allocated an exception\n is raised.\n\n\nSynonyms:\namber/web/uint8_array.Uint8Array\namber/web/uint8_array Uint8Array","url":"amber/web/uint8_array.html#Uint8Array"},{"doc":"amber/web/uint8_array","title":"buffer","content":"pub fn buffer(uint8_array: Uint8Array) -&gt; ArrayBuffer\n\nSynonyms:\namber/web/uint8_array.buffer\namber/web/uint8_array buffer","url":"amber/web/uint8_array.html#buffer"},{"doc":"amber/web/uint8_array","title":"byte_length","content":"pub fn byte_length(uint8_array: Uint8Array) -&gt; Int\n\nSynonyms:\namber/web/uint8_array.byte_length\namber/web/uint8_array byte_length","url":"amber/web/uint8_array.html#byte_length"},{"doc":"amber/web/uint8_array","title":"byte_offset","content":"pub fn byte_offset(uint8_array: Uint8Array) -&gt; Int\n\nSynonyms:\namber/web/uint8_array.byte_offset\namber/web/uint8_array byte_offset","url":"amber/web/uint8_array.html#byte_offset"},{"doc":"amber/web/uint8_array","title":"from_buffer","content":"pub fn from_buffer(buffer: ArrayBuffer) -&gt; Uint8Array\n\nSynonyms:\namber/web/uint8_array.from_buffer\namber/web/uint8_array from_buffer","url":"amber/web/uint8_array.html#from_buffer"},{"doc":"amber/web/uint8_array","title":"from_length","content":"pub fn from_length(length: Int) -&gt; Uint8Array\n\nSynonyms:\namber/web/uint8_array.from_length\namber/web/uint8_array from_length","url":"amber/web/uint8_array.html#from_length"},{"doc":"amber/web/uint8_array","title":"from_list","content":"pub fn from_list(list: List(Int)) -&gt; Uint8Array\n\nSynonyms:\namber/web/uint8_array.from_list\namber/web/uint8_array from_list","url":"amber/web/uint8_array.html#from_list"},{"doc":"amber/web/uint8_array","title":"new","content":"pub fn new() -&gt; Uint8Array\n\nSynonyms:\namber/web/uint8_array.new\namber/web/uint8_array new","url":"amber/web/uint8_array.html#new"},{"doc":"amber/web/uint8_array","title":"amber/web/uint8_array","content":"","url":"amber/web/uint8_array.html"},{"doc":"amber/deno/fs_file","title":"FsFile","content":"pub type FsFile\n\n\nSynonyms:\namber/deno/fs_file.FsFile\namber/deno/fs_file FsFile","url":"amber/deno/fs_file.html#FsFile"},{"doc":"amber/deno/fs_file","title":"close","content":"pub fn close(file: FsFile) -&gt; Nil\n\nSynonyms:\namber/deno/fs_file.close\namber/deno/fs_file close","url":"amber/deno/fs_file.html#close"},{"doc":"amber/deno/fs_file","title":"is_terminal","content":"pub fn is_terminal(file: FsFile) -&gt; Bool\n\nSynonyms:\namber/deno/fs_file.is_terminal\namber/deno/fs_file is_terminal","url":"amber/deno/fs_file.html#is_terminal"},{"doc":"amber/deno/fs_file","title":"lock_sync","content":"pub fn lock_sync(file: FsFile, exclusive: Bool) -&gt; FsFile\n\nSynonyms:\namber/deno/fs_file.lock_sync\namber/deno/fs_file lock_sync","url":"amber/deno/fs_file.html#lock_sync"},{"doc":"amber/deno/fs_file","title":"read_sync","content":"pub fn read_sync(\n  file: FsFile,\n  p: Uint8Array,\n) -&gt; Result(BytesRead, Error)\n\nSynonyms:\namber/deno/fs_file.read_sync\namber/deno/fs_file read_sync","url":"amber/deno/fs_file.html#read_sync"},{"doc":"amber/deno/fs_file","title":"readable","content":"pub fn readable(file: FsFile) -&gt; ReadableStream(Uint8Array)\n\nSynonyms:\namber/deno/fs_file.readable\namber/deno/fs_file readable","url":"amber/deno/fs_file.html#readable"},{"doc":"amber/deno/fs_file","title":"seek_sync","content":"pub fn seek_sync(\n  file: FsFile,\n  offset: Int,\n  whence: SeekMode,\n) -&gt; Int\n\nSynonyms:\namber/deno/fs_file.seek_sync\namber/deno/fs_file seek_sync","url":"amber/deno/fs_file.html#seek_sync"},{"doc":"amber/deno/fs_file","title":"set_raw","content":"pub fn set_raw(\n  file: FsFile,\n  mode: Bool,\n  options: List(SetRawOption),\n) -&gt; FsFile\n\nSynonyms:\namber/deno/fs_file.set_raw\namber/deno/fs_file set_raw","url":"amber/deno/fs_file.html#set_raw"},{"doc":"amber/deno/fs_file","title":"stat_sync","content":"pub fn stat_sync(file: FsFile) -&gt; Result(FileInfo, Error)\n\nSynonyms:\namber/deno/fs_file.stat_sync\namber/deno/fs_file stat_sync","url":"amber/deno/fs_file.html#stat_sync"},{"doc":"amber/deno/fs_file","title":"sync_data_sync","content":"pub fn sync_data_sync(file: FsFile) -&gt; FsFile\n\nSynonyms:\namber/deno/fs_file.sync_data_sync\namber/deno/fs_file sync_data_sync","url":"amber/deno/fs_file.html#sync_data_sync"},{"doc":"amber/deno/fs_file","title":"sync_sync","content":"pub fn sync_sync(file: FsFile) -&gt; FsFile\n\nSynonyms:\namber/deno/fs_file.sync_sync\namber/deno/fs_file sync_sync","url":"amber/deno/fs_file.html#sync_sync"},{"doc":"amber/deno/fs_file","title":"truncate_sync","content":"pub fn truncate_sync(file: FsFile) -&gt; FsFile\n\nSynonyms:\namber/deno/fs_file.truncate_sync\namber/deno/fs_file truncate_sync","url":"amber/deno/fs_file.html#truncate_sync"},{"doc":"amber/deno/fs_file","title":"truncate_to_length_sync","content":"pub fn truncate_to_length_sync(file: FsFile, len: Int) -&gt; FsFile\n\nSynonyms:\namber/deno/fs_file.truncate_to_length_sync\namber/deno/fs_file truncate_to_length_sync","url":"amber/deno/fs_file.html#truncate_to_length_sync"},{"doc":"amber/deno/fs_file","title":"unlock_sync","content":"pub fn unlock_sync(file: FsFile) -&gt; FsFile\n\nSynonyms:\namber/deno/fs_file.unlock_sync\namber/deno/fs_file unlock_sync","url":"amber/deno/fs_file.html#unlock_sync"},{"doc":"amber/deno/fs_file","title":"using","content":"pub fn using(\n  file_result: Result(FsFile, Error),\n  fun: fn(FsFile) -&gt; Result(a, Error),\n) -&gt; Result(a, Error)\n\nSynonyms:\namber/deno/fs_file.using\namber/deno/fs_file using","url":"amber/deno/fs_file.html#using"},{"doc":"amber/deno/fs_file","title":"utime_sync","content":"pub fn utime_sync(file: FsFile, atime: Int, mtime: Int) -&gt; FsFile\n\nSynonyms:\namber/deno/fs_file.utime_sync\namber/deno/fs_file utime_sync","url":"amber/deno/fs_file.html#utime_sync"},{"doc":"amber/deno/fs_file","title":"writable","content":"pub fn writable(file: FsFile) -&gt; WritableStream(Uint8Array)\n\nSynonyms:\namber/deno/fs_file.writable\namber/deno/fs_file writable","url":"amber/deno/fs_file.html#writable"},{"doc":"amber/deno/fs_file","title":"write_sync","content":"pub fn write_sync(\n  file: FsFile,\n  p: Uint8Array,\n) -&gt; Result(Int, Error)\n\nSynonyms:\namber/deno/fs_file.write_sync\namber/deno/fs_file write_sync","url":"amber/deno/fs_file.html#write_sync"},{"doc":"amber/deno/fs_file","title":"amber/deno/fs_file","content":"","url":"amber/deno/fs_file.html"},{"doc":"amber/deno/fs_event","title":"FsEvent","content":"pub type FsEvent {\n  FsEvent(\n    kind: FsEventKind,\n    paths: List(String),\n    flag: Option(FsEventFlag),\n  )\n}\n Represents a unique file system event yielded by a\n [`FsWatcher`](./fs_watcher.html#FsWatcher).\n\nFsEvent(\n  kind: FsEventKind,\n  paths: List(String),\n  flag: Option(FsEventFlag),\n)\n\nkind\n&lt;p&gt;The kind/type of the file system event.&lt;/p&gt;\n\npaths\n&lt;p&gt;An array of paths that are associated with the file system event.&lt;/p&gt;\n\nflag\n&lt;p&gt;Any additional flags associated with the event.&lt;/p&gt;\n\nSynonyms:\namber/deno/fs_event.FsEvent\namber/deno/fs_event FsEvent","url":"amber/deno/fs_event.html#FsEvent"},{"doc":"amber/deno/fs_event","title":"FsEventFlag","content":"pub type FsEventFlag {\n  Rescan\n}\n Additional information for FsEvent objects with the &quot;other&quot; kind.\n\n - `&quot;rescan&quot;`: rescan notices indicate either a lapse in the events or a\n    change in the filesystem such that events received so far can no longer\n    be relied on to represent the state of the filesystem now. An\n    application that simply reacts to file changes may not care about this.\n    An application that keeps an in-memory representation of the filesystem\n    will need to care, and will need to refresh that representation directly\n    from the filesystem.\n\nRescan\n\n\nSynonyms:\namber/deno/fs_event.FsEventFlag\namber/deno/fs_event FsEventFlag","url":"amber/deno/fs_event.html#FsEventFlag"},{"doc":"amber/deno/fs_event","title":"FsEventKind","content":"pub type FsEventKind {\n  Any\n  Access\n  Create\n  Modify\n  Rename\n  Remove\n  Other\n}\n\nAny\n\n\nAccess\n\n\nCreate\n\n\nModify\n\n\nRename\n\n\nRemove\n\n\nOther\n\n\nSynonyms:\namber/deno/fs_event.FsEventKind\namber/deno/fs_event FsEventKind","url":"amber/deno/fs_event.html#FsEventKind"},{"doc":"amber/deno/fs_event","title":"amber/deno/fs_event","content":"","url":"amber/deno/fs_event.html"},{"doc":"amber/deno/fs_watcher","title":"FsWatcher","content":"pub type FsWatcher\n\n\nSynonyms:\namber/deno/fs_watcher.FsWatcher\namber/deno/fs_watcher FsWatcher","url":"amber/deno/fs_watcher.html#FsWatcher"},{"doc":"amber/deno/fs_watcher","title":"close","content":"pub fn close(watcher: FsWatcher) -&gt; Nil\n\nSynonyms:\namber/deno/fs_watcher.close\namber/deno/fs_watcher close","url":"amber/deno/fs_watcher.html#close"},{"doc":"amber/deno/fs_watcher","title":"iterate_async","content":"pub fn iterate_async(\n  watcher: FsWatcher,\n  callback: fn(FsEvent) -&gt; Nil,\n) -&gt; Nil\n\nSynonyms:\namber/deno/fs_watcher.iterate_async\namber/deno/fs_watcher iterate_async","url":"amber/deno/fs_watcher.html#iterate_async"},{"doc":"amber/deno/fs_watcher","title":"amber/deno/fs_watcher","content":"","url":"amber/deno/fs_watcher.html"},{"doc":"amber/deno/make_temp","title":"MakeTempOption","content":"pub type MakeTempOption {\n  Dir(String)\n  Prefix(String)\n  Suffix(String)\n}\n\nDir(String)\n\n\nPrefix(String)\n\n\nSuffix(String)\n\n\nSynonyms:\namber/deno/make_temp.MakeTempOption\namber/deno/make_temp MakeTempOption","url":"amber/deno/make_temp.html#MakeTempOption"},{"doc":"amber/deno/make_temp","title":"amber/deno/make_temp","content":"","url":"amber/deno/make_temp.html"},{"doc":"amber/deno/memory_usage","title":"MemoryUsage","content":"pub type MemoryUsage {\n  MemoryUsage(\n    rss: Int,\n    heap_total: Int,\n    heap_used: Int,\n    external: Int,\n  )\n}\n\nMemoryUsage(\n  rss: Int,\n  heap_total: Int,\n  heap_used: Int,\n  external: Int,\n)\n\nrss\n&lt;p&gt;The number of bytes of the current Deno’s process resident set size, which is the amount of memory occupied in main memory (RAM).&lt;/p&gt;\n\nheap_total\n&lt;p&gt;The total size of the heap for V8, in bytes.&lt;/p&gt;\n\nheap_used\n&lt;p&gt;The amount of the heap used for V8, in bytes.&lt;/p&gt;\n\nexternal\n&lt;p&gt;Memory, in bytes, associated with JavaScript objects outside of the JavaScript isolate.&lt;/p&gt;\n\nSynonyms:\namber/deno/memory_usage.MemoryUsage\namber/deno/memory_usage MemoryUsage","url":"amber/deno/memory_usage.html#MemoryUsage"},{"doc":"amber/deno/memory_usage","title":"amber/deno/memory_usage","content":"","url":"amber/deno/memory_usage.html"},{"doc":"amber/deno/mkdir","title":"MkdirOption","content":"pub type MkdirOption {\n  Recursive\n  Mode(Int)\n}\n\nRecursive\n\n\nMode(Int)\n\n\nSynonyms:\namber/deno/mkdir.MkdirOption\namber/deno/mkdir MkdirOption","url":"amber/deno/mkdir.html#MkdirOption"},{"doc":"amber/deno/mkdir","title":"amber/deno/mkdir","content":"","url":"amber/deno/mkdir.html"},{"doc":"amber/deno/open","title":"OpenOption","content":"pub type OpenOption {\n  Read\n  Write\n  Append\n  Truncate\n  Create\n  CreateNew\n  Mode(Int)\n}\n\nRead\n\n\nWrite\n\n\nAppend\n\n\nTruncate\n\n\nCreate\n\n\nCreateNew\n\n\nMode(Int)\n\n\nSynonyms:\namber/deno/open.OpenOption\namber/deno/open OpenOption","url":"amber/deno/open.html#OpenOption"},{"doc":"amber/deno/open","title":"amber/deno/open","content":"","url":"amber/deno/open.html"},{"doc":"amber/deno/remove","title":"RemoveOption","content":"pub type RemoveOption {\n  Recursive\n}\n\nRecursive\n\n\nSynonyms:\namber/deno/remove.RemoveOption\namber/deno/remove RemoveOption","url":"amber/deno/remove.html#RemoveOption"},{"doc":"amber/deno/remove","title":"amber/deno/remove","content":"","url":"amber/deno/remove.html"},{"doc":"amber/deno/signal","title":"Signal","content":"pub type Signal {\n  SIGABRT\n  SIGALRM\n  SIGBREAK\n  SIGBUS\n  SIGCHLD\n  SIGCONT\n  SIGEMT\n  SIGFPE\n  SIGHUP\n  SIGILL\n  SIGINFO\n  SIGINT\n  SIGIO\n  SIGPOLL\n  SIGUNUSED\n  SIGKILL\n  SIGPIPE\n  SIGPROF\n  SIGPWR\n  SIGQUIT\n  SIGSEGV\n  SIGSTKFLT\n  SIGSTOP\n  SIGSYS\n  SIGTERM\n  SIGTRAP\n  SIGTSTP\n  SIGTTIN\n  SIGTTOU\n  SIGURG\n  SIGUSR1\n  SIGUSR2\n  SIGVTALRM\n  SIGWINCH\n  SIGXCPU\n  SIGXFSZ\n}\n\nSIGABRT\n\n\nSIGALRM\n\n\nSIGBREAK\n\n\nSIGBUS\n\n\nSIGCHLD\n\n\nSIGCONT\n\n\nSIGEMT\n\n\nSIGFPE\n\n\nSIGHUP\n\n\nSIGILL\n\n\nSIGINFO\n\n\nSIGINT\n\n\nSIGIO\n\n\nSIGPOLL\n\n\nSIGUNUSED\n\n\nSIGKILL\n\n\nSIGPIPE\n\n\nSIGPROF\n\n\nSIGPWR\n\n\nSIGQUIT\n\n\nSIGSEGV\n\n\nSIGSTKFLT\n\n\nSIGSTOP\n\n\nSIGSYS\n\n\nSIGTERM\n\n\nSIGTRAP\n\n\nSIGTSTP\n\n\nSIGTTIN\n\n\nSIGTTOU\n\n\nSIGURG\n\n\nSIGUSR1\n\n\nSIGUSR2\n\n\nSIGVTALRM\n\n\nSIGWINCH\n\n\nSIGXCPU\n\n\nSIGXFSZ\n\n\nSynonyms:\namber/deno/signal.Signal\namber/deno/signal Signal","url":"amber/deno/signal.html#Signal"},{"doc":"amber/deno/signal","title":"amber/deno/signal","content":"","url":"amber/deno/signal.html"},{"doc":"amber/deno/symlink","title":"SymlinkOption","content":"pub type SymlinkOption {\n  Type(SymlinkType)\n}\n\nType(SymlinkType)\n\n\nSynonyms:\namber/deno/symlink.SymlinkOption\namber/deno/symlink SymlinkOption","url":"amber/deno/symlink.html#SymlinkOption"},{"doc":"amber/deno/symlink","title":"SymlinkType","content":"pub type SymlinkType {\n  File\n  Dir\n  Junction\n}\n\nFile\n\n\nDir\n\n\nJunction\n\n\nSynonyms:\namber/deno/symlink.SymlinkType\namber/deno/symlink SymlinkType","url":"amber/deno/symlink.html#SymlinkType"},{"doc":"amber/deno/symlink","title":"amber/deno/symlink","content":"","url":"amber/deno/symlink.html"},{"doc":"amber/deno/system_memory_info","title":"SystemMemoryInfo","content":"pub type SystemMemoryInfo {\n  SystemMemoryInfo(\n    total: Int,\n    free: Int,\n    available: Int,\n    buffers: Int,\n    cached: Int,\n    swap_total: Int,\n    swap_free: Int,\n  )\n}\n\nSystemMemoryInfo(\n  total: Int,\n  free: Int,\n  available: Int,\n  buffers: Int,\n  cached: Int,\n  swap_total: Int,\n  swap_free: Int,\n)\n\ntotal\n&lt;p&gt;Total installed memory in bytes.&lt;/p&gt;\n\nfree\n&lt;p&gt;Unused memory in bytes.&lt;/p&gt;\n\navailable\n&lt;p&gt;Estimation of how much memory, in bytes, is available for starting new\napplications, without swapping. Unlike the data provided by the cache or\nfree fields, this field takes into account page cache and also that not\nall reclaimable memory will be reclaimed due to items being in use.&lt;/p&gt;\n\nbuffers\n&lt;p&gt;Memory used by kernel buffers.&lt;/p&gt;\n\ncached\n&lt;p&gt;Memory used by the page cache and slabs.&lt;/p&gt;\n\nswap_total\n&lt;p&gt;Total swap memory.&lt;/p&gt;\n\nswap_free\n&lt;p&gt;Unused swap memory.&lt;/p&gt;\n\nSynonyms:\namber/deno/system_memory_info.SystemMemoryInfo\namber/deno/system_memory_info SystemMemoryInfo","url":"amber/deno/system_memory_info.html#SystemMemoryInfo"},{"doc":"amber/deno/system_memory_info","title":"amber/deno/system_memory_info","content":"","url":"amber/deno/system_memory_info.html"},{"doc":"amber/deno/version","title":"Version","content":"pub type Version {\n  Version(deno: String, v8: String, typescript: String)\n}\n\nVersion(deno: String, v8: String, typescript: String)\n\n\nSynonyms:\namber/deno/version.Version\namber/deno/version Version","url":"amber/deno/version.html#Version"},{"doc":"amber/deno/version","title":"amber/deno/version","content":"","url":"amber/deno/version.html"},{"doc":"amber/deno/watch_fs","title":"WatchFsOption","content":"pub type WatchFsOption {\n  Recursive(Bool)\n}\n\nRecursive(Bool)\n\n\nSynonyms:\namber/deno/watch_fs.WatchFsOption\namber/deno/watch_fs WatchFsOption","url":"amber/deno/watch_fs.html#WatchFsOption"},{"doc":"amber/deno/watch_fs","title":"amber/deno/watch_fs","content":"","url":"amber/deno/watch_fs.html"},{"doc":"amber/deno/write_file","title":"WriteFileOption","content":"pub type WriteFileOption {\n  Append\n  Create(Bool)\n  CreateNew\n  Mode(Int)\n  Signal(AbortSignal)\n}\n\nAppend\n\n\nCreate(Bool)\n\n\nCreateNew\n\n\nMode(Int)\n\n\nSignal(AbortSignal)\n\n\nSynonyms:\namber/deno/write_file.WriteFileOption\namber/deno/write_file WriteFileOption","url":"amber/deno/write_file.html#WriteFileOption"},{"doc":"amber/deno/write_file","title":"amber/deno/write_file","content":"","url":"amber/deno/write_file.html"},{"doc":"amber/deno","title":"add_signal_listener","content":"pub fn add_signal_listener(\n  signal: Signal,\n  handler: fn() -&gt; a,\n) -&gt; Nil\n\nSynonyms:\namber/deno.add_signal_listener\namber/deno add_signal_listener","url":"amber/deno.html#add_signal_listener"},{"doc":"amber/deno","title":"args","content":"pub fn args() -&gt; List(String)\n\nSynonyms:\namber/deno.args\namber/deno args","url":"amber/deno.html#args"},{"doc":"amber/deno","title":"build","content":"pub fn build() -&gt; Build\n\nSynonyms:\namber/deno.build\namber/deno build","url":"amber/deno.html#build"},{"doc":"amber/deno","title":"chdir","content":"pub fn chdir(directory: String) -&gt; Result(Nil, Error)\n\nSynonyms:\namber/deno.chdir\namber/deno chdir","url":"amber/deno.html#chdir"},{"doc":"amber/deno","title":"chmod_sync","content":"pub fn chmod_sync(path: String, mode: Int) -&gt; Nil\n\nSynonyms:\namber/deno.chmod_sync\namber/deno chmod_sync","url":"amber/deno.html#chmod_sync"},{"doc":"amber/deno","title":"chown_sync","content":"pub fn chown_sync(\n  path: String,\n  uid: Option(Int),\n  gid: Option(Int),\n) -&gt; Nil\n\nSynonyms:\namber/deno.chown_sync\namber/deno chown_sync","url":"amber/deno.html#chown_sync"},{"doc":"amber/deno","title":"copy_file_sync","content":"pub fn copy_file_sync(from_path: String, to_path: String) -&gt; Nil\n\nSynonyms:\namber/deno.copy_file_sync\namber/deno copy_file_sync","url":"amber/deno.html#copy_file_sync"},{"doc":"amber/deno","title":"create_sync","content":"pub fn create_sync(path: String) -&gt; Result(FsFile, Error)\n\nSynonyms:\namber/deno.create_sync\namber/deno create_sync","url":"amber/deno.html#create_sync"},{"doc":"amber/deno","title":"cwd","content":"pub fn cwd() -&gt; String\n\nSynonyms:\namber/deno.cwd\namber/deno cwd","url":"amber/deno.html#cwd"},{"doc":"amber/deno","title":"exec_path","content":"pub fn exec_path() -&gt; String\n\nSynonyms:\namber/deno.exec_path\namber/deno exec_path","url":"amber/deno.html#exec_path"},{"doc":"amber/deno","title":"exit","content":"pub fn exit() -&gt; Nil\n\nSynonyms:\namber/deno.exit\namber/deno exit","url":"amber/deno.html#exit"},{"doc":"amber/deno","title":"exit_code","content":"pub fn exit_code() -&gt; Int\n\nSynonyms:\namber/deno.exit_code\namber/deno exit_code","url":"amber/deno.html#exit_code"},{"doc":"amber/deno","title":"exit_with","content":"pub fn exit_with(code: Int) -&gt; Nil\n\nSynonyms:\namber/deno.exit_with\namber/deno exit_with","url":"amber/deno.html#exit_with"},{"doc":"amber/deno","title":"gid","content":"pub fn gid() -&gt; Option(Int)\n\nSynonyms:\namber/deno.gid\namber/deno gid","url":"amber/deno.html#gid"},{"doc":"amber/deno","title":"hostname","content":"pub fn hostname() -&gt; String\n\nSynonyms:\namber/deno.hostname\namber/deno hostname","url":"amber/deno.html#hostname"},{"doc":"amber/deno","title":"kill","content":"pub fn kill(pid: Int) -&gt; Nil\n\nSynonyms:\namber/deno.kill\namber/deno kill","url":"amber/deno.html#kill"},{"doc":"amber/deno","title":"kill_with","content":"pub fn kill_with(pid: Int, signal: Signal) -&gt; Nil\n\nSynonyms:\namber/deno.kill_with\namber/deno kill_with","url":"amber/deno.html#kill_with"},{"doc":"amber/deno","title":"link_sync","content":"pub fn link_sync(\n  oldpath: String,\n  newpath: String,\n) -&gt; Result(Nil, Error)\n\nSynonyms:\namber/deno.link_sync\namber/deno link_sync","url":"amber/deno.html#link_sync"},{"doc":"amber/deno","title":"loadavg","content":"pub fn loadavg() -&gt; #(Float, Float, Float)\n\nSynonyms:\namber/deno.loadavg\namber/deno loadavg","url":"amber/deno.html#loadavg"},{"doc":"amber/deno","title":"lstat_sync","content":"pub fn lstat_sync(path: String) -&gt; FileInfo\n\nSynonyms:\namber/deno.lstat_sync\namber/deno lstat_sync","url":"amber/deno.html#lstat_sync"},{"doc":"amber/deno","title":"main_module","content":"pub fn main_module() -&gt; String\n\nSynonyms:\namber/deno.main_module\namber/deno main_module","url":"amber/deno.html#main_module"},{"doc":"amber/deno","title":"make_temp_dir_sync","content":"pub fn make_temp_dir_sync(\n  options: List(MakeTempOption),\n) -&gt; String\n\nSynonyms:\namber/deno.make_temp_dir_sync\namber/deno make_temp_dir_sync","url":"amber/deno.html#make_temp_dir_sync"},{"doc":"amber/deno","title":"make_temp_file_sync","content":"pub fn make_temp_file_sync(\n  options: List(MakeTempOption),\n) -&gt; String\n\nSynonyms:\namber/deno.make_temp_file_sync\namber/deno make_temp_file_sync","url":"amber/deno.html#make_temp_file_sync"},{"doc":"amber/deno","title":"memory_usage","content":"pub fn memory_usage() -&gt; MemoryUsage\n\nSynonyms:\namber/deno.memory_usage\namber/deno memory_usage","url":"amber/deno.html#memory_usage"},{"doc":"amber/deno","title":"mkdir_sync","content":"pub fn mkdir_sync(\n  path: String,\n  options: List(MkdirOption),\n) -&gt; Nil\n\nSynonyms:\namber/deno.mkdir_sync\namber/deno mkdir_sync","url":"amber/deno.html#mkdir_sync"},{"doc":"amber/deno","title":"no_color","content":"pub fn no_color() -&gt; Bool\n\nSynonyms:\namber/deno.no_color\namber/deno no_color","url":"amber/deno.html#no_color"},{"doc":"amber/deno","title":"open_sync","content":"pub fn open_sync(\n  path: String,\n  options: List(OpenOption),\n) -&gt; Result(FsFile, Error)\n\nSynonyms:\namber/deno.open_sync\namber/deno open_sync","url":"amber/deno.html#open_sync"},{"doc":"amber/deno","title":"os_release","content":"pub fn os_release() -&gt; String\n\nSynonyms:\namber/deno.os_release\namber/deno os_release","url":"amber/deno.html#os_release"},{"doc":"amber/deno","title":"os_uptime","content":"pub fn os_uptime() -&gt; Int\n\nSynonyms:\namber/deno.os_uptime\namber/deno os_uptime","url":"amber/deno.html#os_uptime"},{"doc":"amber/deno","title":"pid","content":"pub fn pid() -&gt; Int\n\nSynonyms:\namber/deno.pid\namber/deno pid","url":"amber/deno.html#pid"},{"doc":"amber/deno","title":"ppid","content":"pub fn ppid() -&gt; Int\n\nSynonyms:\namber/deno.ppid\namber/deno ppid","url":"amber/deno.html#ppid"},{"doc":"amber/deno","title":"read_dir_sync","content":"pub fn read_dir_sync(path: String) -&gt; List(DirEntry)\n\nSynonyms:\namber/deno.read_dir_sync\namber/deno read_dir_sync","url":"amber/deno.html#read_dir_sync"},{"doc":"amber/deno","title":"read_file_sync","content":"pub fn read_file_sync(path: String) -&gt; Uint8Array\n\nSynonyms:\namber/deno.read_file_sync\namber/deno read_file_sync","url":"amber/deno.html#read_file_sync"},{"doc":"amber/deno","title":"read_link_sync","content":"pub fn read_link_sync(path: String) -&gt; String\n\nSynonyms:\namber/deno.read_link_sync\namber/deno read_link_sync","url":"amber/deno.html#read_link_sync"},{"doc":"amber/deno","title":"read_text_file_sync","content":"pub fn read_text_file_sync(path: String) -&gt; String\n\nSynonyms:\namber/deno.read_text_file_sync\namber/deno read_text_file_sync","url":"amber/deno.html#read_text_file_sync"},{"doc":"amber/deno","title":"real_path_sync","content":"pub fn real_path_sync(path: String) -&gt; String\n\nSynonyms:\namber/deno.real_path_sync\namber/deno real_path_sync","url":"amber/deno.html#real_path_sync"},{"doc":"amber/deno","title":"ref_timer","content":"pub fn ref_timer(id: Int) -&gt; Nil\n\nSynonyms:\namber/deno.ref_timer\namber/deno ref_timer","url":"amber/deno.html#ref_timer"},{"doc":"amber/deno","title":"remove_signal_listener","content":"pub fn remove_signal_listener(\n  signal: Signal,\n  handler: fn() -&gt; a,\n) -&gt; Nil\n\nSynonyms:\namber/deno.remove_signal_listener\namber/deno remove_signal_listener","url":"amber/deno.html#remove_signal_listener"},{"doc":"amber/deno","title":"remove_sync","content":"pub fn remove_sync(\n  path: String,\n  options: List(RemoveOption),\n) -&gt; Nil\n\nSynonyms:\namber/deno.remove_sync\namber/deno remove_sync","url":"amber/deno.html#remove_sync"},{"doc":"amber/deno","title":"rename_sync","content":"pub fn rename_sync(oldpath: String, newpath: String) -&gt; Nil\n\nSynonyms:\namber/deno.rename_sync\namber/deno rename_sync","url":"amber/deno.html#rename_sync"},{"doc":"amber/deno","title":"set_exit_code","content":"pub fn set_exit_code(code: Int) -&gt; Nil\n\nSynonyms:\namber/deno.set_exit_code\namber/deno set_exit_code","url":"amber/deno.html#set_exit_code"},{"doc":"amber/deno","title":"set_umask","content":"pub fn set_umask(mask: Int) -&gt; Int\n\nSynonyms:\namber/deno.set_umask\namber/deno set_umask","url":"amber/deno.html#set_umask"},{"doc":"amber/deno","title":"stat_sync","content":"pub fn stat_sync(path: String) -&gt; FileInfo\n\nSynonyms:\namber/deno.stat_sync\namber/deno stat_sync","url":"amber/deno.html#stat_sync"},{"doc":"amber/deno","title":"symlink_sync","content":"pub fn symlink_sync(\n  oldpath: String,\n  newpath: String,\n  options: List(SymlinkOption),\n) -&gt; Nil\n\nSynonyms:\namber/deno.symlink_sync\namber/deno symlink_sync","url":"amber/deno.html#symlink_sync"},{"doc":"amber/deno","title":"system_memory_info","content":"pub fn system_memory_info() -&gt; SystemMemoryInfo\n\nSynonyms:\namber/deno.system_memory_info\namber/deno system_memory_info","url":"amber/deno.html#system_memory_info"},{"doc":"amber/deno","title":"truncate_sync","content":"pub fn truncate_sync(name: String, len: Option(Int)) -&gt; Nil\n\nSynonyms:\namber/deno.truncate_sync\namber/deno truncate_sync","url":"amber/deno.html#truncate_sync"},{"doc":"amber/deno","title":"uid","content":"pub fn uid() -&gt; Option(Int)\n\nSynonyms:\namber/deno.uid\namber/deno uid","url":"amber/deno.html#uid"},{"doc":"amber/deno","title":"umask","content":"pub fn umask() -&gt; Int\n\nSynonyms:\namber/deno.umask\namber/deno umask","url":"amber/deno.html#umask"},{"doc":"amber/deno","title":"unref_timer","content":"pub fn unref_timer(id: Int) -&gt; Nil\n\nSynonyms:\namber/deno.unref_timer\namber/deno unref_timer","url":"amber/deno.html#unref_timer"},{"doc":"amber/deno","title":"utime_sync","content":"pub fn utime_sync(path: String, atime: Int, mtime: Int) -&gt; Nil\n\nSynonyms:\namber/deno.utime_sync\namber/deno utime_sync","url":"amber/deno.html#utime_sync"},{"doc":"amber/deno","title":"version","content":"pub fn version() -&gt; Version\n\nSynonyms:\namber/deno.version\namber/deno version","url":"amber/deno.html#version"},{"doc":"amber/deno","title":"watch_fs","content":"pub fn watch_fs(\n  paths: List(String),\n  options: List(WatchFsOption),\n) -&gt; FsWatcher\n\nSynonyms:\namber/deno.watch_fs\namber/deno watch_fs","url":"amber/deno.html#watch_fs"},{"doc":"amber/deno","title":"write_file_sync","content":"pub fn write_file_sync(\n  path: String,\n  data: Uint8Array,\n  options: List(WriteFileOption),\n) -&gt; Nil\n\nSynonyms:\namber/deno.write_file_sync\namber/deno write_file_sync","url":"amber/deno.html#write_file_sync"},{"doc":"amber/deno","title":"write_text_file_sync","content":"pub fn write_text_file_sync(\n  path: String,\n  data: String,\n  options: List(WriteFileOption),\n) -&gt; Nil\n\nSynonyms:\namber/deno.write_text_file_sync\namber/deno write_text_file_sync","url":"amber/deno.html#write_text_file_sync"},{"doc":"amber/deno","title":"amber/deno","content":"","url":"amber/deno.html"},{"doc":"amber/deno/command/command_output","title":"CommandOutput","content":"pub type CommandOutput {\n  CommandOutput(\n    stdout: Uint8Array,\n    stderr: Uint8Array,\n    success: Bool,\n    code: Int,\n    signal: Option(Signal),\n  )\n}\n\nCommandOutput(\n  stdout: Uint8Array,\n  stderr: Uint8Array,\n  success: Bool,\n  code: Int,\n  signal: Option(Signal),\n)\n\n\nSynonyms:\namber/deno/command/command_output.CommandOutput\namber/deno/command/command_output CommandOutput","url":"amber/deno/command/command_output.html#CommandOutput"},{"doc":"amber/deno/command/command_output","title":"amber/deno/command/command_output","content":"","url":"amber/deno/command/command_output.html"},{"doc":"amber/deno/command/command_status","title":"CommandStatus","content":"pub type CommandStatus {\n  CommandStatus(success: Bool, code: Int, signal: Option(Signal))\n}\n\nCommandStatus(success: Bool, code: Int, signal: Option(Signal))\n\n\nSynonyms:\namber/deno/command/command_status.CommandStatus\namber/deno/command/command_status CommandStatus","url":"amber/deno/command/command_status.html#CommandStatus"},{"doc":"amber/deno/command/command_status","title":"amber/deno/command/command_status","content":"","url":"amber/deno/command/command_status.html"},{"doc":"amber/deno/child_process","title":"ChildProcess","content":"pub type ChildProcess\n\n\nSynonyms:\namber/deno/child_process.ChildProcess\namber/deno/child_process ChildProcess","url":"amber/deno/child_process.html#ChildProcess"},{"doc":"amber/deno/child_process","title":"kill","content":"pub fn kill(process: ChildProcess) -&gt; Result(Nil, Error)\n\nSynonyms:\namber/deno/child_process.kill\namber/deno/child_process kill","url":"amber/deno/child_process.html#kill"},{"doc":"amber/deno/child_process","title":"kill_with","content":"pub fn kill_with(\n  process: ChildProcess,\n  signal: Signal,\n) -&gt; Result(Nil, Error)\n\nSynonyms:\namber/deno/child_process.kill_with\namber/deno/child_process kill_with","url":"amber/deno/child_process.html#kill_with"},{"doc":"amber/deno/child_process","title":"output","content":"pub fn output(process: ChildProcess) -&gt; Promise(CommandOutput)\n\nSynonyms:\namber/deno/child_process.output\namber/deno/child_process output","url":"amber/deno/child_process.html#output"},{"doc":"amber/deno/child_process","title":"pid","content":"pub fn pid(process: ChildProcess) -&gt; Int\n\nSynonyms:\namber/deno/child_process.pid\namber/deno/child_process pid","url":"amber/deno/child_process.html#pid"},{"doc":"amber/deno/child_process","title":"ref","content":"pub fn ref(process: ChildProcess) -&gt; ChildProcess\n\nSynonyms:\namber/deno/child_process.ref\namber/deno/child_process ref","url":"amber/deno/child_process.html#ref"},{"doc":"amber/deno/child_process","title":"status","content":"pub fn status(process: ChildProcess) -&gt; Promise(CommandStatus)\n\nSynonyms:\namber/deno/child_process.status\namber/deno/child_process status","url":"amber/deno/child_process.html#status"},{"doc":"amber/deno/child_process","title":"stderr","content":"pub fn stderr(\n  process: ChildProcess,\n) -&gt; Result(ReadableStream(Uint8Array), Error)\n\nSynonyms:\namber/deno/child_process.stderr\namber/deno/child_process stderr","url":"amber/deno/child_process.html#stderr"},{"doc":"amber/deno/child_process","title":"stdin","content":"pub fn stdin(\n  process: ChildProcess,\n) -&gt; Result(WritableStream(Uint8Array), Error)\n\nSynonyms:\namber/deno/child_process.stdin\namber/deno/child_process stdin","url":"amber/deno/child_process.html#stdin"},{"doc":"amber/deno/child_process","title":"stdout","content":"pub fn stdout(\n  process: ChildProcess,\n) -&gt; Result(ReadableStream(Uint8Array), Error)\n\nSynonyms:\namber/deno/child_process.stdout\namber/deno/child_process stdout","url":"amber/deno/child_process.html#stdout"},{"doc":"amber/deno/child_process","title":"unref","content":"pub fn unref(process: ChildProcess) -&gt; ChildProcess\n\nSynonyms:\namber/deno/child_process.unref\namber/deno/child_process unref","url":"amber/deno/child_process.html#unref"},{"doc":"amber/deno/child_process","title":"using","content":"pub fn using(\n  process: ChildProcess,\n  fun: fn(ChildProcess) -&gt; Promise(a),\n) -&gt; Promise(a)\n\nSynonyms:\namber/deno/child_process.using\namber/deno/child_process using","url":"amber/deno/child_process.html#using"},{"doc":"amber/deno/child_process","title":"amber/deno/child_process","content":"","url":"amber/deno/child_process.html"},{"doc":"amber/deno/stdio_option","title":"StdioOption","content":"pub type StdioOption {\n  Piped\n  Inherit\n  Null\n}\n\nPiped\n\n\nInherit\n\n\nNull\n\n\nSynonyms:\namber/deno/stdio_option.StdioOption\namber/deno/stdio_option StdioOption","url":"amber/deno/stdio_option.html#StdioOption"},{"doc":"amber/deno/stdio_option","title":"amber/deno/stdio_option","content":"","url":"amber/deno/stdio_option.html"},{"doc":"amber/deno/command/command_option","title":"CommandOption","content":"pub type CommandOption {\n  Args(List(String))\n  Cwd(String)\n  ClearEnv\n  Env(Dict(String, String))\n  Uid(Int)\n  Gid(Int)\n  Signal(AbortSignal)\n  Stdin(StdioOption)\n  Stdout(StdioOption)\n  Stderr(StdioOption)\n  WindowsRawArguments\n}\n\nArgs(List(String))\n\n\nCwd(String)\n\n\nClearEnv\n\n\nEnv(Dict(String, String))\n\n\nUid(Int)\n\n\nGid(Int)\n\n\nSignal(AbortSignal)\n\n\nStdin(StdioOption)\n\n\nStdout(StdioOption)\n\n\nStderr(StdioOption)\n\n\nWindowsRawArguments\n\n\nSynonyms:\namber/deno/command/command_option.CommandOption\namber/deno/command/command_option CommandOption","url":"amber/deno/command/command_option.html#CommandOption"},{"doc":"amber/deno/command/command_option","title":"amber/deno/command/command_option","content":"","url":"amber/deno/command/command_option.html"},{"doc":"amber/deno/command","title":"Command","content":"pub type Command\n\n\nSynonyms:\namber/deno/command.Command\namber/deno/command Command","url":"amber/deno/command.html#Command"},{"doc":"amber/deno/command","title":"new","content":"pub fn new(\n  command: String,\n  options: List(CommandOption),\n) -&gt; Command\n\nSynonyms:\namber/deno/command.new\namber/deno/command new","url":"amber/deno/command.html#new"},{"doc":"amber/deno/command","title":"output_sync","content":"pub fn output_sync(\n  command: Command,\n) -&gt; Result(CommandOutput, Error)\n\nSynonyms:\namber/deno/command.output_sync\namber/deno/command output_sync","url":"amber/deno/command.html#output_sync"},{"doc":"amber/deno/command","title":"spawn","content":"pub fn spawn(command: Command) -&gt; ChildProcess\n\nSynonyms:\namber/deno/command.spawn\namber/deno/command spawn","url":"amber/deno/command.html#spawn"},{"doc":"amber/deno/command","title":"amber/deno/command","content":"","url":"amber/deno/command.html"},{"doc":"amber/deno/env","title":"delete","content":"pub fn delete(key: String) -&gt; Nil\n\nSynonyms:\namber/deno/env.delete\namber/deno/env delete","url":"amber/deno/env.html#delete"},{"doc":"amber/deno/env","title":"get","content":"pub fn get(key: String) -&gt; Option(String)\n\nSynonyms:\namber/deno/env.get\namber/deno/env get","url":"amber/deno/env.html#get"},{"doc":"amber/deno/env","title":"has","content":"pub fn has(key: String) -&gt; Bool\n\nSynonyms:\namber/deno/env.has\namber/deno/env has","url":"amber/deno/env.html#has"},{"doc":"amber/deno/env","title":"set","content":"pub fn set(key: String, value: String) -&gt; Nil\n\nSynonyms:\namber/deno/env.set\namber/deno/env set","url":"amber/deno/env.html#set"},{"doc":"amber/deno/env","title":"to_dict","content":"pub fn to_dict() -&gt; Dict(String, String)\n\nSynonyms:\namber/deno/env.to_dict\namber/deno/env to_dict","url":"amber/deno/env.html#to_dict"},{"doc":"amber/deno/env","title":"amber/deno/env","content":"","url":"amber/deno/env.html"},{"doc":"amber/deno/read_file","title":"ReadFileOption","content":"pub type ReadFileOption {\n  Signal(AbortSignal)\n}\n\nSignal(AbortSignal)\n\n\nSynonyms:\namber/deno/read_file.ReadFileOption\namber/deno/read_file ReadFileOption","url":"amber/deno/read_file.html#ReadFileOption"},{"doc":"amber/deno/read_file","title":"amber/deno/read_file","content":"","url":"amber/deno/read_file.html"},{"doc":"amber/web/abort_controller","title":"AbortController","content":"pub type AbortController\n\n\nSynonyms:\namber/web/abort_controller.AbortController\namber/web/abort_controller AbortController","url":"amber/web/abort_controller.html#AbortController"},{"doc":"amber/web/abort_controller","title":"abort","content":"pub fn abort(\n  controller: AbortController,\n  reason: a,\n) -&gt; AbortController\n\nSynonyms:\namber/web/abort_controller.abort\namber/web/abort_controller abort","url":"amber/web/abort_controller.html#abort"},{"doc":"amber/web/abort_controller","title":"new","content":"pub fn new() -&gt; AbortController\n\nSynonyms:\namber/web/abort_controller.new\namber/web/abort_controller new","url":"amber/web/abort_controller.html#new"},{"doc":"amber/web/abort_controller","title":"signal","content":"pub fn signal(controller: AbortController) -&gt; AbortSignal\n\nSynonyms:\namber/web/abort_controller.signal\namber/web/abort_controller signal","url":"amber/web/abort_controller.html#signal"},{"doc":"amber/web/abort_controller","title":"amber/web/abort_controller","content":"","url":"amber/web/abort_controller.html"},{"doc":"amber/web/iterator","title":"Iterator","content":"pub type Iterator(a, return, next)\n\n\nSynonyms:\namber/web/iterator.Iterator\namber/web/iterator Iterator","url":"amber/web/iterator.html#Iterator"},{"doc":"amber/web/iterator","title":"for","content":"pub fn for(iterator: Iterator(a, b, c), fun: fn(a) -&gt; d) -&gt; Nil\n\nSynonyms:\namber/web/iterator.for\namber/web/iterator for","url":"amber/web/iterator.html#for"},{"doc":"amber/web/iterator","title":"new","content":"pub fn new(\n  next: fn(Option(a)) -&gt; IteratorResult(b, c),\n) -&gt; Iterator(b, c, a)\n\nSynonyms:\namber/web/iterator.new\namber/web/iterator new","url":"amber/web/iterator.html#new"},{"doc":"amber/web/iterator","title":"next","content":"pub fn next(iterator: Iterator(a, b, c)) -&gt; IteratorResult(a, b)\n\nSynonyms:\namber/web/iterator.next\namber/web/iterator next","url":"amber/web/iterator.html#next"},{"doc":"amber/web/iterator","title":"next_with","content":"pub fn next_with(\n  iterator: Iterator(a, b, c),\n  value: c,\n) -&gt; IteratorResult(a, b)\n\nSynonyms:\namber/web/iterator.next_with\namber/web/iterator next_with","url":"amber/web/iterator.html#next_with"},{"doc":"amber/web/iterator","title":"return","content":"pub fn return(\n  iterator: Iterator(a, b, c),\n) -&gt; Result(IteratorResult(a, b), Nil)\n\nSynonyms:\namber/web/iterator.return\namber/web/iterator return","url":"amber/web/iterator.html#return"},{"doc":"amber/web/iterator","title":"return_with","content":"pub fn return_with(\n  iterator: Iterator(a, b, c),\n  value: b,\n) -&gt; Result(IteratorResult(a, b), Nil)\n\nSynonyms:\namber/web/iterator.return_with\namber/web/iterator return_with","url":"amber/web/iterator.html#return_with"},{"doc":"amber/web/iterator","title":"throw","content":"pub fn throw(\n  iterator: Iterator(a, b, c),\n  e: d,\n) -&gt; Result(IteratorResult(a, b), Nil)\n\nSynonyms:\namber/web/iterator.throw\namber/web/iterator throw","url":"amber/web/iterator.html#throw"},{"doc":"amber/web/iterator","title":"with_return","content":"pub fn with_return(\n  iterator: Iterator(a, b, c),\n  return: fn(Option(b)) -&gt; IteratorResult(a, b),\n) -&gt; Iterator(a, b, c)\n\nSynonyms:\namber/web/iterator.with_return\namber/web/iterator with_return","url":"amber/web/iterator.html#with_return"},{"doc":"amber/web/iterator","title":"with_throw","content":"pub fn with_throw(\n  iterator: Iterator(a, b, c),\n  throw: fn(d) -&gt; IteratorResult(a, b),\n) -&gt; Iterator(a, b, c)\n\nSynonyms:\namber/web/iterator.with_throw\namber/web/iterator with_throw","url":"amber/web/iterator.html#with_throw"},{"doc":"amber/web/iterator","title":"amber/web/iterator","content":"","url":"amber/web/iterator.html"},{"doc":"amber/web/json","title":"Json","content":"pub type Json {\n  Null\n  Boolean(Bool)\n  Number(Float)\n  String(String)\n  Array(List(Json))\n  Object(Dict(String, Json))\n}\n\nNull\n\n\nBoolean(Bool)\n\n\nNumber(Float)\n\n\nString(String)\n\n\nArray(List(Json))\n\n\nObject(Dict(String, Json))\n\n\nSynonyms:\namber/web/json.Json\namber/web/json Json","url":"amber/web/json.html#Json"},{"doc":"amber/web/json","title":"parse","content":"pub fn parse(text: String) -&gt; Result(Json, String)\n\nSynonyms:\namber/web/json.parse\namber/web/json parse","url":"amber/web/json.html#parse"},{"doc":"amber/web/json","title":"stringify","content":"pub fn stringify(json: Json) -&gt; String\n\nSynonyms:\namber/web/json.stringify\namber/web/json stringify","url":"amber/web/json.html#stringify"},{"doc":"amber/web/json","title":"amber/web/json","content":"","url":"amber/web/json.html"},{"doc":"amber/web/text_decoder/text_decoder_option","title":"TextDecoderOption","content":"pub type TextDecoderOption {\n  Fatal\n  IgnoreBom\n}\n\nFatal\n Indicates that [`decode`](./text_decoder.html#decode) must throw a\n TypeError when decoding invalid data. It defaults to false, which means\n that the decoder will substitute malformed data with a replacement\n character.\n\n\nIgnoreBom\n Indicates whether the [byte order mark](https://www.w3.org/International/questions/qa-byte-order-mark)\n will be included in the output or skipped over. It defaults to false,\n which means that the byte order mark will be skipped over when decoding\n and will not be included in the decoded text.\n\n\nSynonyms:\namber/web/text_decoder/text_decoder_option.TextDecoderOption\namber/web/text_decoder/text_decoder_option TextDecoderOption","url":"amber/web/text_decoder/text_decoder_option.html#TextDecoderOption"},{"doc":"amber/web/text_decoder/text_decoder_option","title":"amber/web/text_decoder/text_decoder_option","content":"","url":"amber/web/text_decoder/text_decoder_option.html"},{"doc":"amber/web/text_decoder","title":"TextDecoder","content":"pub type TextDecoder\n Represents a decoder for a specific text encoding, allowing you to convert\n binary data into a string given the encoding.\n\n\nSynonyms:\namber/web/text_decoder.TextDecoder\namber/web/text_decoder TextDecoder","url":"amber/web/text_decoder.html#TextDecoder"},{"doc":"amber/web/text_decoder","title":"decode","content":"pub fn decode(input: ArrayBuffer) -&gt; String\n Turns binary data, often in the form of a Uint8Array, into a string given\n the encoding.\n\nSynonyms:\namber/web/text_decoder.decode\namber/web/text_decoder decode","url":"amber/web/text_decoder.html#decode"},{"doc":"amber/web/text_decoder","title":"decode_chunk","content":"pub fn decode_chunk(\n  decoder: TextDecoder,\n  input: ArrayBuffer,\n) -&gt; String\n\nSynonyms:\namber/web/text_decoder.decode_chunk\namber/web/text_decoder decode_chunk","url":"amber/web/text_decoder.html#decode_chunk"},{"doc":"amber/web/text_decoder","title":"decode_with","content":"pub fn decode_with(\n  input: ArrayBuffer,\n  label: String,\n  options: List(TextDecoderOption),\n) -&gt; String\n\nSynonyms:\namber/web/text_decoder.decode_with\namber/web/text_decoder decode_with","url":"amber/web/text_decoder.html#decode_with"},{"doc":"amber/web/text_decoder","title":"flush","content":"pub fn flush(decoder: TextDecoder) -&gt; String\n\nSynonyms:\namber/web/text_decoder.flush\namber/web/text_decoder flush","url":"amber/web/text_decoder.html#flush"},{"doc":"amber/web/text_decoder","title":"new","content":"pub fn new() -&gt; TextDecoder\n\nSynonyms:\namber/web/text_decoder.new\namber/web/text_decoder new","url":"amber/web/text_decoder.html#new"},{"doc":"amber/web/text_decoder","title":"new_with","content":"pub fn new_with(\n  label: String,\n  options: List(TextDecoderOption),\n) -&gt; TextDecoder\n\nSynonyms:\namber/web/text_decoder.new_with\namber/web/text_decoder new_with","url":"amber/web/text_decoder.html#new_with"},{"doc":"amber/web/text_decoder","title":"amber/web/text_decoder","content":"","url":"amber/web/text_decoder.html"},{"doc":"amber/web/text_decoder_stream","title":"TextDecoderStream","content":"pub type TextDecoderStream\n\n\nSynonyms:\namber/web/text_decoder_stream.TextDecoderStream\namber/web/text_decoder_stream TextDecoderStream","url":"amber/web/text_decoder_stream.html#TextDecoderStream"},{"doc":"amber/web/text_decoder_stream","title":"encoding","content":"pub fn encoding(decoder: TextDecoderStream) -&gt; String\n\nSynonyms:\namber/web/text_decoder_stream.encoding\namber/web/text_decoder_stream encoding","url":"amber/web/text_decoder_stream.html#encoding"},{"doc":"amber/web/text_decoder_stream","title":"fatal","content":"pub fn fatal(decoder: TextDecoderStream) -&gt; Bool\n\nSynonyms:\namber/web/text_decoder_stream.fatal\namber/web/text_decoder_stream fatal","url":"amber/web/text_decoder_stream.html#fatal"},{"doc":"amber/web/text_decoder_stream","title":"ignore_bom","content":"pub fn ignore_bom(decoder: TextDecoderStream) -&gt; Bool\n\nSynonyms:\namber/web/text_decoder_stream.ignore_bom\namber/web/text_decoder_stream ignore_bom","url":"amber/web/text_decoder_stream.html#ignore_bom"},{"doc":"amber/web/text_decoder_stream","title":"new","content":"pub fn new() -&gt; TextDecoderStream\n\nSynonyms:\namber/web/text_decoder_stream.new\namber/web/text_decoder_stream new","url":"amber/web/text_decoder_stream.html#new"},{"doc":"amber/web/text_decoder_stream","title":"new_with","content":"pub fn new_with(\n  label: String,\n  options: List(TextDecoderOption),\n) -&gt; TextDecoderStream\n\nSynonyms:\namber/web/text_decoder_stream.new_with\namber/web/text_decoder_stream new_with","url":"amber/web/text_decoder_stream.html#new_with"},{"doc":"amber/web/text_decoder_stream","title":"read_write_pair","content":"pub fn read_write_pair(\n  decoder: TextDecoderStream,\n) -&gt; #(ReadableStream(String), WritableStream(a))\n\nSynonyms:\namber/web/text_decoder_stream.read_write_pair\namber/web/text_decoder_stream read_write_pair","url":"amber/web/text_decoder_stream.html#read_write_pair"},{"doc":"amber/web/text_decoder_stream","title":"readable","content":"pub fn readable(\n  decoder: TextDecoderStream,\n) -&gt; ReadableStream(String)\n\nSynonyms:\namber/web/text_decoder_stream.readable\namber/web/text_decoder_stream readable","url":"amber/web/text_decoder_stream.html#readable"},{"doc":"amber/web/text_decoder_stream","title":"writable","content":"pub fn writable(decoder: TextDecoderStream) -&gt; WritableStream(a)\n\nSynonyms:\namber/web/text_decoder_stream.writable\namber/web/text_decoder_stream writable","url":"amber/web/text_decoder_stream.html#writable"},{"doc":"amber/web/text_decoder_stream","title":"amber/web/text_decoder_stream","content":"","url":"amber/web/text_decoder_stream.html"},{"doc":"amber/web/text_encoder/encode_into_result","title":"EncodeIntoResult","content":"pub type EncodeIntoResult {\n  EncodeIntoResult(read: Int, written: Int)\n}\n\nEncodeIntoResult(read: Int, written: Int)\n\n\nSynonyms:\namber/web/text_encoder/encode_into_result.EncodeIntoResult\namber/web/text_encoder/encode_into_result EncodeIntoResult","url":"amber/web/text_encoder/encode_into_result.html#EncodeIntoResult"},{"doc":"amber/web/text_encoder/encode_into_result","title":"amber/web/text_encoder/encode_into_result","content":"","url":"amber/web/text_encoder/encode_into_result.html"},{"doc":"amber/web/text_encoder","title":"encode","content":"pub fn encode(input: String) -&gt; Uint8Array\n Turns a string into binary data (in the form of a Uint8Array) using UTF-8\n encoding.\n\nSynonyms:\namber/web/text_encoder.encode\namber/web/text_encoder encode","url":"amber/web/text_encoder.html#encode"},{"doc":"amber/web/text_encoder","title":"encode_into","content":"pub fn encode_into(\n  input: String,\n  dest: Uint8Array,\n) -&gt; EncodeIntoResult\n Encodes a string into the destination Uint8Array and returns the result of\n the encoding.\n\nSynonyms:\namber/web/text_encoder.encode_into\namber/web/text_encoder encode_into","url":"amber/web/text_encoder.html#encode_into"},{"doc":"amber/web/text_encoder","title":"amber/web/text_encoder","content":"","url":"amber/web/text_encoder.html"},{"doc":"amber/web/text_encoder_stream","title":"TextEncoderStream","content":"pub type TextEncoderStream\n\n\nSynonyms:\namber/web/text_encoder_stream.TextEncoderStream\namber/web/text_encoder_stream TextEncoderStream","url":"amber/web/text_encoder_stream.html#TextEncoderStream"},{"doc":"amber/web/text_encoder_stream","title":"encoding","content":"pub fn encoding(encoder: TextEncoderStream) -&gt; String\n\nSynonyms:\namber/web/text_encoder_stream.encoding\namber/web/text_encoder_stream encoding","url":"amber/web/text_encoder_stream.html#encoding"},{"doc":"amber/web/text_encoder_stream","title":"new","content":"pub fn new() -&gt; TextEncoderStream\n\nSynonyms:\namber/web/text_encoder_stream.new\namber/web/text_encoder_stream new","url":"amber/web/text_encoder_stream.html#new"},{"doc":"amber/web/text_encoder_stream","title":"readable","content":"pub fn readable(\n  encoder: TextEncoderStream,\n) -&gt; ReadableStream(Uint8Array)\n\nSynonyms:\namber/web/text_encoder_stream.readable\namber/web/text_encoder_stream readable","url":"amber/web/text_encoder_stream.html#readable"},{"doc":"amber/web/text_encoder_stream","title":"writable","content":"pub fn writable(\n  encoder: TextEncoderStream,\n) -&gt; WritableStream(String)\n\nSynonyms:\namber/web/text_encoder_stream.writable\namber/web/text_encoder_stream writable","url":"amber/web/text_encoder_stream.html#writable"},{"doc":"amber/web/text_encoder_stream","title":"amber/web/text_encoder_stream","content":"","url":"amber/web/text_encoder_stream.html"}]);